# Generated by Django 5.1.6 on 2025-04-04 15:00

import django.db.models.deletion
import modelcluster.fields
import wagtail.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("coderedcms", "0041_remove_layoutsettings_frontend_theme"),
    ]

    operations = [
        migrations.CreateModel(
            name="Alert",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "title",
                    models.CharField(
                        blank=True, max_length=255, null=True, verbose_name="Título"
                    ),
                ),
                ("message", wagtail.fields.RichTextField(verbose_name="Mensagem")),
                (
                    "alert_type",
                    models.CharField(
                        choices=[
                            ("success", "Sucesso"),
                            ("error", "Erro"),
                            ("warning", "Aviso"),
                            ("info", "Informação"),
                        ],
                        default="success",
                        max_length=20,
                        verbose_name="Tipo de Alerta",
                    ),
                ),
                (
                    "button_text",
                    models.CharField(
                        blank=True,
                        default="Fechar",
                        max_length=50,
                        verbose_name="Texto do Botão",
                    ),
                ),
                (
                    "show_automatically",
                    models.BooleanField(
                        default=True, verbose_name="Mostrar automaticamente"
                    ),
                ),
            ],
            options={
                "verbose_name": "ENAP Alerta",
                "verbose_name_plural": "ENAP Alertas",
            },
        ),
        migrations.CreateModel(
            name="EnapAccordionSnippet",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        help_text="Nome do snippet para facilitar a identificação no admin.",
                        max_length=255,
                    ),
                ),
                (
                    "panels_content",
                    wagtail.fields.StreamField(
                        [("accordion_item", 2)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Pergunta / Titulo",
                                    "max_length": 255,
                                    "required": True,
                                },
                            ),
                            1: (
                                "wagtail.blocks.RichTextBlock",
                                (),
                                {
                                    "features": ["bold", "italic", "link"],
                                    "label": "Resposta",
                                    "required": True,
                                },
                            ),
                            2: (
                                "wagtail.blocks.StructBlock",
                                [[("title", 0), ("content", 1)]],
                                {},
                            ),
                        },
                    ),
                ),
            ],
            options={
                "verbose_name": "ENAP Accordion",
                "verbose_name_plural": "ENAP Accordions",
            },
        ),
        migrations.CreateModel(
            name="EnapFooterSnippet",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "image",
                    wagtail.fields.StreamField(
                        [("logo", 0)],
                        blank=True,
                        block_lookup={
                            0: ("wagtail.images.blocks.ImageChooserBlock", (), {})
                        },
                    ),
                ),
                (
                    "name",
                    models.CharField(help_text="Título do snippet", max_length=255),
                ),
                (
                    "links",
                    wagtail.fields.StreamField(
                        [("enap_footergrid", 9)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [("", "Default")],
                                    "label": "Template",
                                    "required": False,
                                },
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom CSS Class",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            2: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom ID",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 0),
                                        ("custom_css_class", 1),
                                        ("custom_id", 2),
                                    ]
                                ],
                                {},
                            ),
                            4: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Titulo",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            5: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Nome amigável",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            6: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {"label": "Link", "max_length": 255, "required": False},
                            ),
                            7: (
                                "wagtail.blocks.StructBlock",
                                [[("settings", 3), ("title", 5), ("link", 6)]],
                                {},
                            ),
                            8: (
                                "wagtail.blocks.ListBlock",
                                (7,),
                                {"label": "Links do Footer"},
                            ),
                            9: (
                                "wagtail.blocks.StructBlock",
                                [[("settings", 3), ("title", 4), ("links", 8)]],
                                {},
                            ),
                        },
                    ),
                ),
                (
                    "social",
                    wagtail.fields.StreamField(
                        [("enap_footersocialgrid", 8)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [("", "Default")],
                                    "label": "Template",
                                    "required": False,
                                },
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom CSS Class",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            2: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom ID",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 0),
                                        ("custom_css_class", 1),
                                        ("custom_id", 2),
                                    ]
                                ],
                                {},
                            ),
                            4: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("facebook", "Facebook"),
                                        ("instagram", "Instagram"),
                                        ("whatsapp", "WhatsApp"),
                                        ("twitter", "Twitter"),
                                        ("linkedin", "LinkedIn"),
                                        ("youtube", "YouTube"),
                                    ],
                                    "help_text": "Escolha a rede social.",
                                    "label": "Rede Social",
                                },
                            ),
                            5: (
                                "wagtail.blocks.URLBlock",
                                (),
                                {
                                    "help_text": "Insira o link para o perfil ou página.",
                                    "label": "Link da Rede Social",
                                    "required": True,
                                },
                            ),
                            6: (
                                "wagtail.blocks.StructBlock",
                                [[("settings", 3), ("social_network", 4), ("url", 5)]],
                                {},
                            ),
                            7: (
                                "wagtail.blocks.ListBlock",
                                (6,),
                                {"label": "Redes Sociais"},
                            ),
                            8: (
                                "wagtail.blocks.StructBlock",
                                [[("settings", 3), ("social_links", 7)]],
                                {},
                            ),
                        },
                    ),
                ),
            ],
            options={
                "verbose_name": "ENAP Footer",
                "verbose_name_plural": "ENAP Footers",
            },
        ),
        migrations.CreateModel(
            name="EnapNavbarSnippet",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        help_text="Nome do snippet para facilitar a identificação no admin.",
                        max_length=255,
                    ),
                ),
                (
                    "logo",
                    wagtail.fields.StreamField(
                        [("image", 0)],
                        blank=True,
                        block_lookup={
                            0: ("wagtail.images.blocks.ImageChooserBlock", (), {})
                        },
                        verbose_name="Logo da Navbar",
                    ),
                ),
                (
                    "links",
                    wagtail.fields.StreamField(
                        [("navbar_link", 3)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Texto do Link",
                                    "max_length": 255,
                                    "required": True,
                                },
                            ),
                            1: (
                                "wagtail.blocks.URLBlock",
                                (),
                                {"label": "URL do Link", "required": True},
                            ),
                            2: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("default", "Padrão"),
                                        ("button", "Botão"),
                                        ("icon", "Ícone"),
                                    ],
                                    "label": "Estilo do Link",
                                },
                            ),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [[("label", 0), ("url", 1), ("style", 2)]],
                                {},
                            ),
                        },
                    ),
                ),
            ],
            options={
                "verbose_name": " ENAP Navbar",
                "verbose_name_plural": "ENAP Navbars",
            },
        ),
        migrations.CreateModel(
            name="FormularioContato",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "titulo",
                    models.CharField(default="Formulário de Contato", max_length=100),
                ),
                (
                    "estilo_campo",
                    models.CharField(
                        choices=[
                            ("rounded", "Arredondado (40px)"),
                            ("square", "Quadrado (8px)"),
                        ],
                        default="rounded",
                        help_text="Escolha o estilo de borda dos campos do formulário",
                        max_length=20,
                    ),
                ),
            ],
            options={
                "verbose_name": "ENAP Formulário de Contato",
                "verbose_name_plural": "ENAP Formulários de Contato",
            },
        ),
        migrations.CreateModel(
            name="Modal",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "title",
                    models.CharField(max_length=255, verbose_name="Título do Modal"),
                ),
                (
                    "content",
                    wagtail.fields.RichTextField(verbose_name="Conteúdo do Modal"),
                ),
                (
                    "button_text",
                    models.CharField(
                        default="Abrir Modal",
                        max_length=100,
                        verbose_name="Texto do Botão",
                    ),
                ),
                (
                    "button_action_text",
                    models.CharField(
                        blank=True,
                        help_text="Deixe em branco para não exibir um botão de ação",
                        max_length=100,
                        verbose_name="Texto do Botão de Ação",
                    ),
                ),
            ],
            options={
                "verbose_name": "ENAP Modal",
                "verbose_name_plural": "ENAP Modais",
            },
        ),
        migrations.CreateModel(
            name="Tab",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "title",
                    models.CharField(
                        max_length=255, verbose_name="Título do Componente"
                    ),
                ),
                (
                    "style",
                    models.CharField(
                        choices=[
                            ("style1", "Estilo 1 (Com borda e linha inferior)"),
                            ("style2", "Estilo 2 (Fundo verde quando ativo)"),
                            (
                                "style3",
                                "Estilo 3 (Fundo verde quando ativo, sem bordas)",
                            ),
                        ],
                        default="style1",
                        max_length=20,
                        verbose_name="Estilo Visual",
                    ),
                ),
            ],
            options={
                "verbose_name": "Enap Tab",
                "verbose_name_plural": "Enap Tabs",
            },
        ),
        migrations.CreateModel(
            name="Wizard",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("title", models.CharField(max_length=255, verbose_name="Título")),
            ],
            options={
                "verbose_name": "ENAP Wizard",
                "verbose_name_plural": "ENAP Wizard",
            },
        ),
        migrations.CreateModel(
            name="ENAPLayout",
            fields=[
                (
                    "coderedpage_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="coderedcms.coderedpage",
                    ),
                ),
                (
                    "admin_notes",
                    models.TextField(
                        blank=True,
                        help_text="Escreva observações importantes. Este campo é visível apenas para administradores.",
                        verbose_name="Anotações Internas",
                    ),
                ),
                (
                    "body",
                    wagtail.fields.StreamField(
                        [
                            ("enap_herobanner", 3),
                            ("enap_herofeature", 7),
                            ("enap_section", 38),
                        ],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {"label": "Background Image", "required": True},
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {"label": "Title", "max_length": 255, "required": True},
                            ),
                            2: (
                                "wagtail.blocks.RichTextBlock",
                                (),
                                {
                                    "features": [
                                        "bold",
                                        "italic",
                                        "ol",
                                        "ul",
                                        "hr",
                                        "link",
                                        "document-link",
                                    ],
                                    "label": "Description",
                                    "required": True,
                                },
                            ),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("background_image", 0),
                                        ("title", 1),
                                        ("description", 2),
                                    ]
                                ],
                                {},
                            ),
                            4: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {"required": True},
                            ),
                            5: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {"max_length": 255, "required": True},
                            ),
                            6: ("wagtail.blocks.RichTextBlock", (), {"required": True}),
                            7: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("background_image", 4),
                                        ("title", 5),
                                        ("description", 6),
                                    ]
                                ],
                                {},
                            ),
                            8: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [("", "Default")],
                                    "label": "Template",
                                    "required": False,
                                },
                            ),
                            9: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom CSS Class",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            10: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom ID",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            11: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 8),
                                        ("custom_css_class", 9),
                                        ("custom_id", 10),
                                    ]
                                ],
                                {},
                            ),
                            12: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "#ID da seção",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            13: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("bg-white", "Fundo branco"),
                                        ("bg-blue", "Fundo blue"),
                                        ("bg-gray", "Fundo cinza"),
                                    ],
                                    "help_text": "Escolha a cor de fundo para a seção",
                                    "label": "Cor de fundo",
                                },
                            ),
                            14: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Titulo",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            15: (
                                "wagtail.blocks.RichTextBlock",
                                (),
                                {
                                    "features": [
                                        "bold",
                                        "italic",
                                        "ol",
                                        "ul",
                                        "hr",
                                        "link",
                                        "document-link",
                                    ],
                                    "label": "Subtitulo",
                                },
                            ),
                            16: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("cards-gri-2", "Até 2 cards"),
                                        ("cards-gri-3", "Até 3 cards"),
                                        ("cards-gri-4", "Até 4 cards"),
                                    ],
                                    "help_text": "Escolha os limites de card por linha para essa grid.",
                                    "label": "Card por linha",
                                },
                            ),
                            17: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("card-primary", "Tipo primário"),
                                        ("card-secondary", "Tipo secundário"),
                                        ("card-terciary", "Tipo terciário"),
                                        ("card-bgimage", "Tipo BG Image"),
                                    ],
                                    "help_text": "Escolha o tipo/cor do card",
                                    "label": "Tipo de card",
                                },
                            ),
                            18: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {
                                    "label": "Image",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            19: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Title",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            20: (
                                "wagtail.blocks.RichTextBlock",
                                (),
                                {
                                    "features": [
                                        "bold",
                                        "italic",
                                        "ol",
                                        "ul",
                                        "hr",
                                        "link",
                                        "document-link",
                                    ],
                                    "label": "Body",
                                },
                            ),
                            21: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Tracking Event Category",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            22: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Tracking Event Label",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            23: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 8),
                                        ("custom_css_class", 9),
                                        ("custom_id", 10),
                                        ("ga_tracking_event_category", 21),
                                        ("ga_tracking_event_label", 22),
                                    ]
                                ],
                                {},
                            ),
                            24: (
                                "wagtail.blocks.PageChooserBlock",
                                (),
                                {"label": "Page link", "required": False},
                            ),
                            25: (
                                "wagtail.documents.blocks.DocumentChooserBlock",
                                (),
                                {"label": "Document link", "required": False},
                            ),
                            26: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Other link",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            27: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("primary", "Tipo primário"),
                                        ("secondary", "Tipo secundário"),
                                        ("terciary", "Tipo terciário"),
                                    ],
                                    "help_text": "Escolha o tipo do botão",
                                    "label": "Tipo de botão",
                                },
                            ),
                            28: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("small", "Pequeno"),
                                        ("medium", "Médio"),
                                        ("large", "Grande"),
                                        ("extra-large", "Extra grande"),
                                    ],
                                    "help_text": "Escolha o tamanho do botão",
                                    "label": "Tamanho",
                                },
                            ),
                            29: (
                                "wagtail.blocks.BooleanBlock",
                                (),
                                {"label": "Icone", "required": False},
                            ),
                            30: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 23),
                                        ("page_link", 24),
                                        ("doc_link", 25),
                                        ("other_link", 26),
                                        ("button_title", 19),
                                        ("type_class", 27),
                                        ("size_class", 28),
                                        ("icone_bool", 29),
                                    ]
                                ],
                                {},
                            ),
                            31: (
                                "wagtail.blocks.StreamBlock",
                                [[("button", 30)]],
                                {
                                    "blank": True,
                                    "label": "Botão (link)",
                                    "max_num": 1,
                                    "required": False,
                                },
                            ),
                            32: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 11),
                                        ("type", 17),
                                        ("image", 18),
                                        ("title", 19),
                                        ("description", 20),
                                        ("link", 31),
                                    ]
                                ],
                                {},
                            ),
                            33: (
                                "wagtail.blocks.StreamBlock",
                                [[("enap_card", 32)]],
                                {"label": "Conteúdo"},
                            ),
                            34: (
                                "wagtail.blocks.StructBlock",
                                [[("settings", 11), ("grid", 16), ("content", 33)]],
                                {},
                            ),
                            35: (
                                "wagtail.snippets.blocks.SnippetChooserBlock",
                                ("enap_designsystem.EnapAccordionSnippet",),
                                {},
                            ),
                            36: (
                                "wagtail.blocks.StructBlock",
                                [[("settings", 11), ("accordion", 35)]],
                                {},
                            ),
                            37: (
                                "wagtail.blocks.StreamBlock",
                                [[("enap_cardgrid", 34), ("enap_accordion", 36)]],
                                {"label": "Conteúdo"},
                            ),
                            38: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 11),
                                        ("id_slug", 12),
                                        ("custom_class", 13),
                                        ("title", 14),
                                        ("subtitle", 15),
                                        ("content", 37),
                                    ]
                                ],
                                {},
                            ),
                        },
                        null=True,
                    ),
                ),
                (
                    "footer",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="enap_designsystem.enapfootersnippet",
                    ),
                ),
                (
                    "navbar",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="enap_designsystem.enapnavbarsnippet",
                    ),
                ),
            ],
            options={
                "verbose_name": "ENAP Layout",
                "verbose_name_plural": "ENAP Layouts",
            },
            bases=("coderedcms.coderedpage",),
        ),
        migrations.CreateModel(
            name="ENAPTemplatev1",
            fields=[
                (
                    "coderedpage_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="coderedcms.coderedpage",
                    ),
                ),
                (
                    "admin_notes",
                    models.TextField(
                        blank=True,
                        help_text="Escreva observações importantes.",
                        verbose_name="Anotações Internas",
                    ),
                ),
                (
                    "page_title",
                    models.CharField(
                        default="Título Padrão",
                        max_length=255,
                        verbose_name="Título da Página",
                    ),
                ),
                (
                    "body",
                    wagtail.fields.StreamField(
                        [("enap_section", 28), ("page_list", 34)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [("", "Default")],
                                    "label": "Template",
                                    "required": False,
                                },
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom CSS Class",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            2: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom ID",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 0),
                                        ("custom_css_class", 1),
                                        ("custom_id", 2),
                                    ]
                                ],
                                {},
                            ),
                            4: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "#ID da seção",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            5: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("bg-white", "Fundo branco"),
                                        ("bg-blue", "Fundo blue"),
                                        ("bg-gray", "Fundo cinza"),
                                    ],
                                    "help_text": "Escolha a cor de fundo para a seção",
                                    "label": "Cor de fundo",
                                },
                            ),
                            6: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Titulo",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            7: (
                                "wagtail.blocks.RichTextBlock",
                                (),
                                {
                                    "features": [
                                        "bold",
                                        "italic",
                                        "ol",
                                        "ul",
                                        "hr",
                                        "link",
                                        "document-link",
                                    ],
                                    "label": "Subtitulo",
                                },
                            ),
                            8: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("cards-gri-2", "Até 2 cards"),
                                        ("cards-gri-3", "Até 3 cards"),
                                        ("cards-gri-4", "Até 4 cards"),
                                    ],
                                    "help_text": "Escolha os limites de card por linha para essa grid.",
                                    "label": "Card por linha",
                                },
                            ),
                            9: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("card-primary", "Tipo primário"),
                                        ("card-secondary", "Tipo secundário"),
                                        ("card-terciary", "Tipo terciário"),
                                        ("card-bgimage", "Tipo BG Image"),
                                    ],
                                    "help_text": "Escolha o tipo/cor do card",
                                    "label": "Tipo de card",
                                },
                            ),
                            10: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {
                                    "label": "Image",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            11: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Title",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            12: (
                                "wagtail.blocks.RichTextBlock",
                                (),
                                {
                                    "features": [
                                        "bold",
                                        "italic",
                                        "ol",
                                        "ul",
                                        "hr",
                                        "link",
                                        "document-link",
                                    ],
                                    "label": "Body",
                                },
                            ),
                            13: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Tracking Event Category",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            14: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Tracking Event Label",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            15: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 0),
                                        ("custom_css_class", 1),
                                        ("custom_id", 2),
                                        ("ga_tracking_event_category", 13),
                                        ("ga_tracking_event_label", 14),
                                    ]
                                ],
                                {},
                            ),
                            16: (
                                "wagtail.blocks.PageChooserBlock",
                                (),
                                {"label": "Page link", "required": False},
                            ),
                            17: (
                                "wagtail.documents.blocks.DocumentChooserBlock",
                                (),
                                {"label": "Document link", "required": False},
                            ),
                            18: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Other link",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            19: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("primary", "Tipo primário"),
                                        ("secondary", "Tipo secundário"),
                                        ("terciary", "Tipo terciário"),
                                    ],
                                    "help_text": "Escolha o tipo do botão",
                                    "label": "Tipo de botão",
                                },
                            ),
                            20: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("small", "Pequeno"),
                                        ("medium", "Médio"),
                                        ("large", "Grande"),
                                        ("extra-large", "Extra grande"),
                                    ],
                                    "help_text": "Escolha o tamanho do botão",
                                    "label": "Tamanho",
                                },
                            ),
                            21: (
                                "wagtail.blocks.BooleanBlock",
                                (),
                                {"label": "Icone", "required": False},
                            ),
                            22: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 15),
                                        ("page_link", 16),
                                        ("doc_link", 17),
                                        ("other_link", 18),
                                        ("button_title", 11),
                                        ("type_class", 19),
                                        ("size_class", 20),
                                        ("icone_bool", 21),
                                    ]
                                ],
                                {},
                            ),
                            23: (
                                "wagtail.blocks.StreamBlock",
                                [[("button", 22)]],
                                {
                                    "blank": True,
                                    "label": "Botão (link)",
                                    "max_num": 1,
                                    "required": False,
                                },
                            ),
                            24: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 3),
                                        ("type", 9),
                                        ("image", 10),
                                        ("title", 11),
                                        ("description", 12),
                                        ("link", 23),
                                    ]
                                ],
                                {},
                            ),
                            25: (
                                "wagtail.blocks.StreamBlock",
                                [[("enap_card", 24)]],
                                {"label": "Conteúdo"},
                            ),
                            26: (
                                "wagtail.blocks.StructBlock",
                                [[("settings", 3), ("grid", 8), ("content", 25)]],
                                {},
                            ),
                            27: (
                                "wagtail.blocks.StreamBlock",
                                [[("enap_cardgrid", 26)]],
                                {"label": "Conteúdo"},
                            ),
                            28: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 3),
                                        ("id_slug", 4),
                                        ("custom_class", 5),
                                        ("title", 6),
                                        ("subtitle", 7),
                                        ("content", 27),
                                    ]
                                ],
                                {},
                            ),
                            29: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("", "Default"),
                                        (
                                            "coderedcms/blocks/pagelist_block.html",
                                            "General, simple list",
                                        ),
                                        (
                                            "coderedcms/blocks/pagelist_list_group.html",
                                            "General, list group navigation panel",
                                        ),
                                        (
                                            "coderedcms/blocks/pagelist_article_media.html",
                                            "Article, media format",
                                        ),
                                        (
                                            "coderedcms/blocks/pagelist_article_card_group.html",
                                            "Article, card group - attached cards of equal size",
                                        ),
                                        (
                                            "coderedcms/blocks/pagelist_article_card_deck.html",
                                            "Article, card deck - separate cards of equal size",
                                        ),
                                        (
                                            "coderedcms/blocks/pagelist_article_card_columns.html",
                                            "Article, card masonry - fluid brick pattern",
                                        ),
                                    ],
                                    "label": "Template",
                                    "required": False,
                                },
                            ),
                            30: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 29),
                                        ("custom_css_class", 1),
                                        ("custom_id", 2),
                                    ]
                                ],
                                {},
                            ),
                            31: (
                                "wagtail.blocks.PageChooserBlock",
                                (),
                                {
                                    "help_text": "Show a preview of pages that are children of the selected page. Uses ordering specified in the page’s LAYOUT tab.",
                                    "label": "Parent page",
                                    "required": True,
                                },
                            ),
                            32: (
                                "wagtail.blocks.BooleanBlock",
                                (),
                                {
                                    "default": False,
                                    "label": "Show body preview",
                                    "required": False,
                                },
                            ),
                            33: (
                                "wagtail.blocks.IntegerBlock",
                                (),
                                {"default": 3, "label": "Number of pages to show"},
                            ),
                            34: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 30),
                                        ("indexed_by", 31),
                                        ("show_preview", 32),
                                        ("num_posts", 33),
                                    ]
                                ],
                                {},
                            ),
                        },
                        null=True,
                    ),
                ),
                (
                    "teste_courses",
                    wagtail.fields.StreamField(
                        [("courses_carousel", 6)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [("", "Default")],
                                    "label": "Template",
                                    "required": False,
                                },
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom CSS Class",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            2: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom ID",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 0),
                                        ("custom_css_class", 1),
                                        ("custom_id", 2),
                                    ]
                                ],
                                {},
                            ),
                            4: (
                                "wagtail.blocks.PageChooserBlock",
                                (),
                                {
                                    "help_text": "Show a preview of pages that are children of the selected page. Uses ordering specified in the page’s LAYOUT tab.",
                                    "label": "Parent page",
                                    "required": True,
                                },
                            ),
                            5: (
                                "wagtail.blocks.IntegerBlock",
                                (),
                                {"default": 3, "label": "Number of pages to show"},
                            ),
                            6: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 3),
                                        ("indexed_by", 4),
                                        ("num_posts", 5),
                                    ]
                                ],
                                {},
                            ),
                        },
                        null=True,
                    ),
                ),
                (
                    "noticias",
                    wagtail.fields.StreamField(
                        [("eventos_carousel", 6)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [("", "Default")],
                                    "label": "Template",
                                    "required": False,
                                },
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom CSS Class",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            2: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom ID",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 0),
                                        ("custom_css_class", 1),
                                        ("custom_id", 2),
                                    ]
                                ],
                                {},
                            ),
                            4: (
                                "wagtail.blocks.PageChooserBlock",
                                (),
                                {
                                    "help_text": "Show a preview of pages that are children of the selected page. Uses ordering specified in the page's LAYOUT tab.",
                                    "label": "Parent page",
                                    "required": True,
                                },
                            ),
                            5: (
                                "wagtail.blocks.IntegerBlock",
                                (),
                                {"default": 3, "label": "Number of pages to show"},
                            ),
                            6: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 3),
                                        ("indexed_by", 4),
                                        ("num_posts", 5),
                                    ]
                                ],
                                {},
                            ),
                        },
                        null=True,
                    ),
                ),
                (
                    "teste_noticia",
                    wagtail.fields.StreamField(
                        [("noticias_carousel", 6)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [("", "Default")],
                                    "label": "Template",
                                    "required": False,
                                },
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom CSS Class",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            2: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom ID",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 0),
                                        ("custom_css_class", 1),
                                        ("custom_id", 2),
                                    ]
                                ],
                                {},
                            ),
                            4: (
                                "wagtail.blocks.PageChooserBlock",
                                (),
                                {
                                    "help_text": "Show a preview of pages that are children of the selected page. Uses ordering specified in the page’s LAYOUT tab.",
                                    "label": "Parent page",
                                    "required": True,
                                },
                            ),
                            5: (
                                "wagtail.blocks.IntegerBlock",
                                (),
                                {"default": 3, "label": "Number of pages to show"},
                            ),
                            6: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 3),
                                        ("indexed_by", 4),
                                        ("num_posts", 5),
                                    ]
                                ],
                                {},
                            ),
                        },
                        null=True,
                    ),
                ),
                (
                    "teste_preview",
                    wagtail.fields.StreamField(
                        [("page_preview_teste", 7)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("", "Default"),
                                        (
                                            "coderedcms/blocks/pagelist_block.html",
                                            "General, simple list",
                                        ),
                                        (
                                            "coderedcms/blocks/pagelist_list_group.html",
                                            "General, list group navigation panel",
                                        ),
                                        (
                                            "coderedcms/blocks/pagelist_article_media.html",
                                            "Article, media format",
                                        ),
                                        (
                                            "coderedcms/blocks/pagelist_article_card_group.html",
                                            "Article, card group - attached cards of equal size",
                                        ),
                                        (
                                            "coderedcms/blocks/pagelist_article_card_deck.html",
                                            "Article, card deck - separate cards of equal size",
                                        ),
                                        (
                                            "coderedcms/blocks/pagelist_article_card_columns.html",
                                            "Article, card masonry - fluid brick pattern",
                                        ),
                                    ],
                                    "label": "Template",
                                    "required": False,
                                },
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom CSS Class",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            2: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom ID",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 0),
                                        ("custom_css_class", 1),
                                        ("custom_id", 2),
                                    ]
                                ],
                                {},
                            ),
                            4: (
                                "wagtail.blocks.PageChooserBlock",
                                (),
                                {
                                    "help_text": "Show a preview of pages that are children of the selected page. Uses ordering specified in the page’s LAYOUT tab.",
                                    "label": "Parent page",
                                    "required": True,
                                },
                            ),
                            5: (
                                "wagtail.blocks.BooleanBlock",
                                (),
                                {
                                    "default": False,
                                    "label": "Show body preview",
                                    "required": False,
                                },
                            ),
                            6: (
                                "wagtail.blocks.IntegerBlock",
                                (),
                                {"default": 3, "label": "Number of pages to show"},
                            ),
                            7: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 3),
                                        ("indexed_by", 4),
                                        ("show_preview", 5),
                                        ("num_posts", 6),
                                    ]
                                ],
                                {},
                            ),
                        },
                        null=True,
                    ),
                ),
                (
                    "dropdown_content",
                    wagtail.fields.StreamField(
                        [("dropdown", 4)],
                        blank=True,
                        block_lookup={
                            0: ("wagtail.blocks.CharBlock", (), {"required": True}),
                            1: (
                                "wagtail.blocks.PageChooserBlock",
                                (),
                                {"required": True},
                            ),
                            2: (
                                "wagtail.blocks.StructBlock",
                                [[("title", 0), ("page", 1)]],
                                {},
                            ),
                            3: ("wagtail.blocks.ListBlock", (2,), {}),
                            4: (
                                "wagtail.blocks.StructBlock",
                                [[("label", 0), ("options", 3)]],
                                {},
                            ),
                        },
                        null=True,
                    ),
                ),
                (
                    "paragrafo",
                    wagtail.fields.RichTextField(
                        blank=True,
                        help_text="Adicione o texto do parágrafo aqui.",
                        verbose_name="Parágrafo sessao dinamica",
                    ),
                ),
                (
                    "video_background",
                    models.FileField(
                        blank=True,
                        null=True,
                        upload_to="media/videos",
                        verbose_name="Vídeo de Fundo",
                    ),
                ),
                (
                    "background_image",
                    wagtail.fields.StreamField(
                        [("image", 5)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [("", "Default")],
                                    "label": "Template",
                                    "required": False,
                                },
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom CSS Class",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            2: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom ID",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 0),
                                        ("custom_css_class", 1),
                                        ("custom_id", 2),
                                    ]
                                ],
                                {},
                            ),
                            4: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {"label": "Image"},
                            ),
                            5: (
                                "wagtail.blocks.StructBlock",
                                [[("settings", 3), ("image", 4)]],
                                {},
                            ),
                        },
                        null=True,
                    ),
                ),
                ("linkcta", wagtail.fields.RichTextField(blank=True)),
                (
                    "button_link",
                    models.URLField(
                        blank=True,
                        help_text="URL do link do botão",
                        verbose_name="Link do Botão",
                    ),
                ),
                (
                    "footer",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="enap_designsystem.enapfootersnippet",
                    ),
                ),
                (
                    "navbar",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="enap_designsystem.enapnavbarsnippet",
                    ),
                ),
            ],
            options={
                "verbose_name": "Enap home v1",
                "verbose_name_plural": "Enap Home v1",
            },
            bases=("coderedcms.coderedpage",),
        ),
        migrations.CreateModel(
            name="ENAPTeste",
            fields=[
                (
                    "coderedpage_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="coderedcms.coderedpage",
                    ),
                ),
                (
                    "admin_notes",
                    models.TextField(
                        blank=True,
                        help_text="Escreva observações importantes.",
                        verbose_name="Anotações Internas",
                    ),
                ),
                (
                    "page_title",
                    models.CharField(
                        default="Título Padrão",
                        max_length=255,
                        verbose_name="Título da Página",
                    ),
                ),
                (
                    "body",
                    wagtail.fields.StreamField(
                        [("enap_section", 28), ("page_list", 34)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [("", "Default")],
                                    "label": "Template",
                                    "required": False,
                                },
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom CSS Class",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            2: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom ID",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 0),
                                        ("custom_css_class", 1),
                                        ("custom_id", 2),
                                    ]
                                ],
                                {},
                            ),
                            4: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "#ID da seção",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            5: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("bg-white", "Fundo branco"),
                                        ("bg-blue", "Fundo blue"),
                                        ("bg-gray", "Fundo cinza"),
                                    ],
                                    "help_text": "Escolha a cor de fundo para a seção",
                                    "label": "Cor de fundo",
                                },
                            ),
                            6: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Titulo",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            7: (
                                "wagtail.blocks.RichTextBlock",
                                (),
                                {
                                    "features": [
                                        "bold",
                                        "italic",
                                        "ol",
                                        "ul",
                                        "hr",
                                        "link",
                                        "document-link",
                                    ],
                                    "label": "Subtitulo",
                                },
                            ),
                            8: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("cards-gri-2", "Até 2 cards"),
                                        ("cards-gri-3", "Até 3 cards"),
                                        ("cards-gri-4", "Até 4 cards"),
                                    ],
                                    "help_text": "Escolha os limites de card por linha para essa grid.",
                                    "label": "Card por linha",
                                },
                            ),
                            9: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("card-primary", "Tipo primário"),
                                        ("card-secondary", "Tipo secundário"),
                                        ("card-terciary", "Tipo terciário"),
                                        ("card-bgimage", "Tipo BG Image"),
                                    ],
                                    "help_text": "Escolha o tipo/cor do card",
                                    "label": "Tipo de card",
                                },
                            ),
                            10: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {
                                    "label": "Image",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            11: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Title",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            12: (
                                "wagtail.blocks.RichTextBlock",
                                (),
                                {
                                    "features": [
                                        "bold",
                                        "italic",
                                        "ol",
                                        "ul",
                                        "hr",
                                        "link",
                                        "document-link",
                                    ],
                                    "label": "Body",
                                },
                            ),
                            13: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Tracking Event Category",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            14: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Tracking Event Label",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            15: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 0),
                                        ("custom_css_class", 1),
                                        ("custom_id", 2),
                                        ("ga_tracking_event_category", 13),
                                        ("ga_tracking_event_label", 14),
                                    ]
                                ],
                                {},
                            ),
                            16: (
                                "wagtail.blocks.PageChooserBlock",
                                (),
                                {"label": "Page link", "required": False},
                            ),
                            17: (
                                "wagtail.documents.blocks.DocumentChooserBlock",
                                (),
                                {"label": "Document link", "required": False},
                            ),
                            18: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Other link",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            19: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("primary", "Tipo primário"),
                                        ("secondary", "Tipo secundário"),
                                        ("terciary", "Tipo terciário"),
                                    ],
                                    "help_text": "Escolha o tipo do botão",
                                    "label": "Tipo de botão",
                                },
                            ),
                            20: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("small", "Pequeno"),
                                        ("medium", "Médio"),
                                        ("large", "Grande"),
                                        ("extra-large", "Extra grande"),
                                    ],
                                    "help_text": "Escolha o tamanho do botão",
                                    "label": "Tamanho",
                                },
                            ),
                            21: (
                                "wagtail.blocks.BooleanBlock",
                                (),
                                {"label": "Icone", "required": False},
                            ),
                            22: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 15),
                                        ("page_link", 16),
                                        ("doc_link", 17),
                                        ("other_link", 18),
                                        ("button_title", 11),
                                        ("type_class", 19),
                                        ("size_class", 20),
                                        ("icone_bool", 21),
                                    ]
                                ],
                                {},
                            ),
                            23: (
                                "wagtail.blocks.StreamBlock",
                                [[("button", 22)]],
                                {
                                    "blank": True,
                                    "label": "Botão (link)",
                                    "max_num": 1,
                                    "required": False,
                                },
                            ),
                            24: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 3),
                                        ("type", 9),
                                        ("image", 10),
                                        ("title", 11),
                                        ("description", 12),
                                        ("link", 23),
                                    ]
                                ],
                                {},
                            ),
                            25: (
                                "wagtail.blocks.StreamBlock",
                                [[("enap_card", 24)]],
                                {"label": "Conteúdo"},
                            ),
                            26: (
                                "wagtail.blocks.StructBlock",
                                [[("settings", 3), ("grid", 8), ("content", 25)]],
                                {},
                            ),
                            27: (
                                "wagtail.blocks.StreamBlock",
                                [[("enap_cardgrid", 26)]],
                                {"label": "Conteúdo"},
                            ),
                            28: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 3),
                                        ("id_slug", 4),
                                        ("custom_class", 5),
                                        ("title", 6),
                                        ("subtitle", 7),
                                        ("content", 27),
                                    ]
                                ],
                                {},
                            ),
                            29: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("", "Default"),
                                        (
                                            "coderedcms/blocks/pagelist_block.html",
                                            "General, simple list",
                                        ),
                                        (
                                            "coderedcms/blocks/pagelist_list_group.html",
                                            "General, list group navigation panel",
                                        ),
                                        (
                                            "coderedcms/blocks/pagelist_article_media.html",
                                            "Article, media format",
                                        ),
                                        (
                                            "coderedcms/blocks/pagelist_article_card_group.html",
                                            "Article, card group - attached cards of equal size",
                                        ),
                                        (
                                            "coderedcms/blocks/pagelist_article_card_deck.html",
                                            "Article, card deck - separate cards of equal size",
                                        ),
                                        (
                                            "coderedcms/blocks/pagelist_article_card_columns.html",
                                            "Article, card masonry - fluid brick pattern",
                                        ),
                                    ],
                                    "label": "Template",
                                    "required": False,
                                },
                            ),
                            30: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 29),
                                        ("custom_css_class", 1),
                                        ("custom_id", 2),
                                    ]
                                ],
                                {},
                            ),
                            31: (
                                "wagtail.blocks.PageChooserBlock",
                                (),
                                {
                                    "help_text": "Show a preview of pages that are children of the selected page. Uses ordering specified in the page’s LAYOUT tab.",
                                    "label": "Parent page",
                                    "required": True,
                                },
                            ),
                            32: (
                                "wagtail.blocks.BooleanBlock",
                                (),
                                {
                                    "default": False,
                                    "label": "Show body preview",
                                    "required": False,
                                },
                            ),
                            33: (
                                "wagtail.blocks.IntegerBlock",
                                (),
                                {"default": 3, "label": "Number of pages to show"},
                            ),
                            34: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 30),
                                        ("indexed_by", 31),
                                        ("show_preview", 32),
                                        ("num_posts", 33),
                                    ]
                                ],
                                {},
                            ),
                        },
                        null=True,
                    ),
                ),
                (
                    "teste_courses",
                    wagtail.fields.StreamField(
                        [("courses_carousel", 6)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [("", "Default")],
                                    "label": "Template",
                                    "required": False,
                                },
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom CSS Class",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            2: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom ID",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 0),
                                        ("custom_css_class", 1),
                                        ("custom_id", 2),
                                    ]
                                ],
                                {},
                            ),
                            4: (
                                "wagtail.blocks.PageChooserBlock",
                                (),
                                {
                                    "help_text": "Show a preview of pages that are children of the selected page. Uses ordering specified in the page’s LAYOUT tab.",
                                    "label": "Parent page",
                                    "required": True,
                                },
                            ),
                            5: (
                                "wagtail.blocks.IntegerBlock",
                                (),
                                {"default": 3, "label": "Number of pages to show"},
                            ),
                            6: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 3),
                                        ("indexed_by", 4),
                                        ("num_posts", 5),
                                    ]
                                ],
                                {},
                            ),
                        },
                        null=True,
                    ),
                ),
                (
                    "noticias",
                    wagtail.fields.StreamField(
                        [("eventos_carousel", 6)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [("", "Default")],
                                    "label": "Template",
                                    "required": False,
                                },
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom CSS Class",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            2: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom ID",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 0),
                                        ("custom_css_class", 1),
                                        ("custom_id", 2),
                                    ]
                                ],
                                {},
                            ),
                            4: (
                                "wagtail.blocks.PageChooserBlock",
                                (),
                                {
                                    "help_text": "Show a preview of pages that are children of the selected page. Uses ordering specified in the page's LAYOUT tab.",
                                    "label": "Parent page",
                                    "required": True,
                                },
                            ),
                            5: (
                                "wagtail.blocks.IntegerBlock",
                                (),
                                {"default": 3, "label": "Number of pages to show"},
                            ),
                            6: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 3),
                                        ("indexed_by", 4),
                                        ("num_posts", 5),
                                    ]
                                ],
                                {},
                            ),
                        },
                        null=True,
                    ),
                ),
                (
                    "teste_noticia",
                    wagtail.fields.StreamField(
                        [("noticias_carousel", 6)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [("", "Default")],
                                    "label": "Template",
                                    "required": False,
                                },
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom CSS Class",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            2: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom ID",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 0),
                                        ("custom_css_class", 1),
                                        ("custom_id", 2),
                                    ]
                                ],
                                {},
                            ),
                            4: (
                                "wagtail.blocks.PageChooserBlock",
                                (),
                                {
                                    "help_text": "Show a preview of pages that are children of the selected page. Uses ordering specified in the page’s LAYOUT tab.",
                                    "label": "Parent page",
                                    "required": True,
                                },
                            ),
                            5: (
                                "wagtail.blocks.IntegerBlock",
                                (),
                                {"default": 3, "label": "Number of pages to show"},
                            ),
                            6: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 3),
                                        ("indexed_by", 4),
                                        ("num_posts", 5),
                                    ]
                                ],
                                {},
                            ),
                        },
                        null=True,
                    ),
                ),
                (
                    "teste_preview",
                    wagtail.fields.StreamField(
                        [("page_preview_teste", 7)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("", "Default"),
                                        (
                                            "coderedcms/blocks/pagelist_block.html",
                                            "General, simple list",
                                        ),
                                        (
                                            "coderedcms/blocks/pagelist_list_group.html",
                                            "General, list group navigation panel",
                                        ),
                                        (
                                            "coderedcms/blocks/pagelist_article_media.html",
                                            "Article, media format",
                                        ),
                                        (
                                            "coderedcms/blocks/pagelist_article_card_group.html",
                                            "Article, card group - attached cards of equal size",
                                        ),
                                        (
                                            "coderedcms/blocks/pagelist_article_card_deck.html",
                                            "Article, card deck - separate cards of equal size",
                                        ),
                                        (
                                            "coderedcms/blocks/pagelist_article_card_columns.html",
                                            "Article, card masonry - fluid brick pattern",
                                        ),
                                    ],
                                    "label": "Template",
                                    "required": False,
                                },
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom CSS Class",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            2: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom ID",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 0),
                                        ("custom_css_class", 1),
                                        ("custom_id", 2),
                                    ]
                                ],
                                {},
                            ),
                            4: (
                                "wagtail.blocks.PageChooserBlock",
                                (),
                                {
                                    "help_text": "Show a preview of pages that are children of the selected page. Uses ordering specified in the page’s LAYOUT tab.",
                                    "label": "Parent page",
                                    "required": True,
                                },
                            ),
                            5: (
                                "wagtail.blocks.BooleanBlock",
                                (),
                                {
                                    "default": False,
                                    "label": "Show body preview",
                                    "required": False,
                                },
                            ),
                            6: (
                                "wagtail.blocks.IntegerBlock",
                                (),
                                {"default": 3, "label": "Number of pages to show"},
                            ),
                            7: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 3),
                                        ("indexed_by", 4),
                                        ("show_preview", 5),
                                        ("num_posts", 6),
                                    ]
                                ],
                                {},
                            ),
                        },
                        null=True,
                    ),
                ),
                (
                    "dropdown_content",
                    wagtail.fields.StreamField(
                        [("dropdown", 4)],
                        blank=True,
                        block_lookup={
                            0: ("wagtail.blocks.CharBlock", (), {"required": True}),
                            1: (
                                "wagtail.blocks.PageChooserBlock",
                                (),
                                {"required": True},
                            ),
                            2: (
                                "wagtail.blocks.StructBlock",
                                [[("title", 0), ("page", 1)]],
                                {},
                            ),
                            3: ("wagtail.blocks.ListBlock", (2,), {}),
                            4: (
                                "wagtail.blocks.StructBlock",
                                [[("label", 0), ("options", 3)]],
                                {},
                            ),
                        },
                        null=True,
                    ),
                ),
                (
                    "paragrafo",
                    wagtail.fields.RichTextField(
                        blank=True,
                        help_text="Adicione o texto do parágrafo aqui.",
                        verbose_name="Parágrafo sessao dinamica",
                    ),
                ),
                (
                    "video_background",
                    models.FileField(
                        blank=True,
                        null=True,
                        upload_to="media/videos",
                        verbose_name="Vídeo de Fundo",
                    ),
                ),
                (
                    "background_image",
                    wagtail.fields.StreamField(
                        [("image", 5)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [("", "Default")],
                                    "label": "Template",
                                    "required": False,
                                },
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom CSS Class",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            2: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom ID",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 0),
                                        ("custom_css_class", 1),
                                        ("custom_id", 2),
                                    ]
                                ],
                                {},
                            ),
                            4: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {"label": "Image"},
                            ),
                            5: (
                                "wagtail.blocks.StructBlock",
                                [[("settings", 3), ("image", 4)]],
                                {},
                            ),
                        },
                        null=True,
                    ),
                ),
                ("linkcta", wagtail.fields.RichTextField(blank=True)),
                (
                    "button_link",
                    models.URLField(
                        blank=True,
                        help_text="URL do link do botão",
                        verbose_name="Link do Botão",
                    ),
                ),
                (
                    "footer",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="enap_designsystem.enapfootersnippet",
                    ),
                ),
                (
                    "navbar",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="enap_designsystem.enapnavbarsnippet",
                    ),
                ),
            ],
            options={
                "verbose_name": "Enap Home v2",
                "verbose_name_plural": "Home V2",
            },
            bases=("coderedcms.coderedpage",),
        ),
        migrations.CreateModel(
            name="TabItem",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "sort_order",
                    models.IntegerField(blank=True, editable=False, null=True),
                ),
                (
                    "title",
                    models.CharField(max_length=255, verbose_name="Título da Aba"),
                ),
                (
                    "content",
                    wagtail.fields.RichTextField(verbose_name="Conteúdo da Aba"),
                ),
                (
                    "tab",
                    modelcluster.fields.ParentalKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="tab_items",
                        to="enap_designsystem.tab",
                    ),
                ),
            ],
            options={
                "ordering": ["sort_order"],
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="ENAPFormacao",
            fields=[
                (
                    "coderedpage_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="coderedcms.coderedpage",
                    ),
                ),
                (
                    "admin_notes",
                    models.TextField(
                        blank=True,
                        help_text="Escreva observações importantes.",
                        verbose_name="Anotações Internas",
                    ),
                ),
                (
                    "content",
                    wagtail.fields.StreamField(
                        [("banner", 3)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {"label": "Background Image", "required": True},
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {"label": "Title", "max_length": 255, "required": True},
                            ),
                            2: (
                                "wagtail.blocks.RichTextBlock",
                                (),
                                {
                                    "features": [
                                        "bold",
                                        "italic",
                                        "ol",
                                        "ul",
                                        "hr",
                                        "link",
                                        "document-link",
                                    ],
                                    "label": "Description",
                                    "required": True,
                                },
                            ),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("background_image", 0),
                                        ("title", 1),
                                        ("description", 2),
                                    ]
                                ],
                                {},
                            ),
                        },
                        null=True,
                    ),
                ),
                (
                    "feature",
                    wagtail.fields.StreamField(
                        [("enap_herofeature", 3)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {"required": True},
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {"max_length": 255, "required": True},
                            ),
                            2: ("wagtail.blocks.RichTextBlock", (), {"required": True}),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("background_image", 0),
                                        ("title", 1),
                                        ("description", 2),
                                    ]
                                ],
                                {},
                            ),
                        },
                        null=True,
                    ),
                ),
                (
                    "accordion_cursos",
                    wagtail.fields.StreamField(
                        [
                            ("enap_accordion", 5),
                            ("groupbutton_", 11),
                            ("carousel", 18),
                            ("dropdown", 23),
                        ],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [("", "Default")],
                                    "label": "Template",
                                    "required": False,
                                },
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom CSS Class",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            2: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom ID",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 0),
                                        ("custom_css_class", 1),
                                        ("custom_id", 2),
                                    ]
                                ],
                                {},
                            ),
                            4: (
                                "wagtail.snippets.blocks.SnippetChooserBlock",
                                ("enap_designsystem.EnapAccordionSnippet",),
                                {},
                            ),
                            5: (
                                "wagtail.blocks.StructBlock",
                                [[("settings", 3), ("accordion", 4)]],
                                {},
                            ),
                            6: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("solid", "Solid - Fundo colorido"),
                                        ("outline", "Outline - Apenas contorno"),
                                    ],
                                    "help_text": "Estilo visual dos botões",
                                },
                            ),
                            7: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {"help_text": "Texto do botão", "required": True},
                            ),
                            8: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "help_text": "URL para onde o botão vai direcionar (opcional)",
                                    "required": False,
                                },
                            ),
                            9: (
                                "wagtail.blocks.StructBlock",
                                [[("label", 7), ("url", 8)]],
                                {},
                            ),
                            10: (
                                "wagtail.blocks.ListBlock",
                                (9,),
                                {
                                    "help_text": "Adicione botões ao grupo (entre 1 e 10)",
                                    "max_num": 10,
                                    "min_num": 1,
                                },
                            ),
                            11: (
                                "wagtail.blocks.StructBlock",
                                [[("style", 6), ("buttons", 10)]],
                                {},
                            ),
                            12: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {
                                    "help_text": "Imagem de fundo para o slide",
                                    "required": True,
                                },
                            ),
                            13: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("title_center", "Título centralizado"),
                                        (
                                            "title_desc_left",
                                            "Título e descrição à esquerda com grafismo",
                                        ),
                                        ("blank", "Slide em branco"),
                                    ],
                                    "help_text": "Escolha o formato do slide",
                                },
                            ),
                            14: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "help_text": "Título do slide (não usado no formato em branco)",
                                    "required": False,
                                },
                            ),
                            15: (
                                "wagtail.blocks.TextBlock",
                                (),
                                {
                                    "help_text": "Descrição do slide (usado apenas no formato 'Título e descrição à esquerda')",
                                    "required": False,
                                },
                            ),
                            16: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("background_image", 12),
                                        ("slide_type", 13),
                                        ("title", 14),
                                        ("description", 15),
                                    ]
                                ],
                                {},
                            ),
                            17: (
                                "wagtail.blocks.ListBlock",
                                (16,),
                                {
                                    "help_text": "Adicione slides ao carrossel (entre 1 e 10)",
                                    "max_num": 10,
                                    "min_num": 1,
                                },
                            ),
                            18: ("wagtail.blocks.StructBlock", [[("slides", 17)]], {}),
                            19: ("wagtail.blocks.CharBlock", (), {"required": True}),
                            20: (
                                "wagtail.blocks.PageChooserBlock",
                                (),
                                {"required": True},
                            ),
                            21: (
                                "wagtail.blocks.StructBlock",
                                [[("title", 19), ("page", 20)]],
                                {},
                            ),
                            22: ("wagtail.blocks.ListBlock", (21,), {}),
                            23: (
                                "wagtail.blocks.StructBlock",
                                [[("label", 19), ("options", 22)]],
                                {},
                            ),
                        },
                        null=True,
                    ),
                ),
                (
                    "body",
                    wagtail.fields.StreamField(
                        [("enap_section", 28)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [("", "Default")],
                                    "label": "Template",
                                    "required": False,
                                },
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom CSS Class",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            2: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom ID",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 0),
                                        ("custom_css_class", 1),
                                        ("custom_id", 2),
                                    ]
                                ],
                                {},
                            ),
                            4: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "#ID da seção",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            5: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("bg-white", "Fundo branco"),
                                        ("bg-blue", "Fundo blue"),
                                        ("bg-gray", "Fundo cinza"),
                                    ],
                                    "help_text": "Escolha a cor de fundo para a seção",
                                    "label": "Cor de fundo",
                                },
                            ),
                            6: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Titulo",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            7: (
                                "wagtail.blocks.RichTextBlock",
                                (),
                                {
                                    "features": [
                                        "bold",
                                        "italic",
                                        "ol",
                                        "ul",
                                        "hr",
                                        "link",
                                        "document-link",
                                    ],
                                    "label": "Subtitulo",
                                },
                            ),
                            8: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("cards-gri-2", "Até 2 cards"),
                                        ("cards-gri-3", "Até 3 cards"),
                                        ("cards-gri-4", "Até 4 cards"),
                                    ],
                                    "help_text": "Escolha os limites de card por linha para essa grid.",
                                    "label": "Card por linha",
                                },
                            ),
                            9: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("card-primary", "Tipo primário"),
                                        ("card-secondary", "Tipo secundário"),
                                        ("card-terciary", "Tipo terciário"),
                                        ("card-bgimage", "Tipo BG Image"),
                                    ],
                                    "help_text": "Escolha o tipo/cor do card",
                                    "label": "Tipo de card",
                                },
                            ),
                            10: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {
                                    "label": "Image",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            11: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Title",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            12: (
                                "wagtail.blocks.RichTextBlock",
                                (),
                                {
                                    "features": [
                                        "bold",
                                        "italic",
                                        "ol",
                                        "ul",
                                        "hr",
                                        "link",
                                        "document-link",
                                    ],
                                    "label": "Body",
                                },
                            ),
                            13: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Tracking Event Category",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            14: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Tracking Event Label",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            15: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 0),
                                        ("custom_css_class", 1),
                                        ("custom_id", 2),
                                        ("ga_tracking_event_category", 13),
                                        ("ga_tracking_event_label", 14),
                                    ]
                                ],
                                {},
                            ),
                            16: (
                                "wagtail.blocks.PageChooserBlock",
                                (),
                                {"label": "Page link", "required": False},
                            ),
                            17: (
                                "wagtail.documents.blocks.DocumentChooserBlock",
                                (),
                                {"label": "Document link", "required": False},
                            ),
                            18: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Other link",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            19: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("primary", "Tipo primário"),
                                        ("secondary", "Tipo secundário"),
                                        ("terciary", "Tipo terciário"),
                                    ],
                                    "help_text": "Escolha o tipo do botão",
                                    "label": "Tipo de botão",
                                },
                            ),
                            20: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("small", "Pequeno"),
                                        ("medium", "Médio"),
                                        ("large", "Grande"),
                                        ("extra-large", "Extra grande"),
                                    ],
                                    "help_text": "Escolha o tamanho do botão",
                                    "label": "Tamanho",
                                },
                            ),
                            21: (
                                "wagtail.blocks.BooleanBlock",
                                (),
                                {"label": "Icone", "required": False},
                            ),
                            22: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 15),
                                        ("page_link", 16),
                                        ("doc_link", 17),
                                        ("other_link", 18),
                                        ("button_title", 11),
                                        ("type_class", 19),
                                        ("size_class", 20),
                                        ("icone_bool", 21),
                                    ]
                                ],
                                {},
                            ),
                            23: (
                                "wagtail.blocks.StreamBlock",
                                [[("button", 22)]],
                                {
                                    "blank": True,
                                    "label": "Botão (link)",
                                    "max_num": 1,
                                    "required": False,
                                },
                            ),
                            24: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 3),
                                        ("type", 9),
                                        ("image", 10),
                                        ("title", 11),
                                        ("description", 12),
                                        ("link", 23),
                                    ]
                                ],
                                {},
                            ),
                            25: (
                                "wagtail.blocks.StreamBlock",
                                [[("enap_card", 24)]],
                                {"label": "Conteúdo"},
                            ),
                            26: (
                                "wagtail.blocks.StructBlock",
                                [[("settings", 3), ("grid", 8), ("content", 25)]],
                                {},
                            ),
                            27: (
                                "wagtail.blocks.StreamBlock",
                                [[("enap_cardgrid", 26)]],
                                {"label": "Conteúdo"},
                            ),
                            28: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 3),
                                        ("id_slug", 4),
                                        ("custom_class", 5),
                                        ("title", 6),
                                        ("subtitle", 7),
                                        ("content", 27),
                                    ]
                                ],
                                {},
                            ),
                        },
                        null=True,
                    ),
                ),
                (
                    "alert",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="enap_designsystem.alert",
                    ),
                ),
                (
                    "footer",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="enap_designsystem.enapfootersnippet",
                    ),
                ),
                (
                    "navbar",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="enap_designsystem.enapnavbarsnippet",
                    ),
                ),
                (
                    "FormularioContato",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="enap_designsystem.formulariocontato",
                    ),
                ),
                (
                    "modal",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="enap_designsystem.modal",
                    ),
                ),
                (
                    "tab",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="enap_designsystem.tab",
                    ),
                ),
                (
                    "wizard",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="enap_designsystem.wizard",
                    ),
                ),
            ],
            options={
                "verbose_name": "Template ENAP Curso",
                "verbose_name_plural": "Template ENAP Cursos",
            },
            bases=("coderedcms.coderedpage",),
        ),
        migrations.CreateModel(
            name="WizardStep",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "sort_order",
                    models.IntegerField(blank=True, editable=False, null=True),
                ),
                (
                    "title",
                    models.CharField(max_length=255, verbose_name="Título da Etapa"),
                ),
                ("content", models.TextField(blank=True, verbose_name="Conteúdo")),
                (
                    "wizard",
                    modelcluster.fields.ParentalKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="steps",
                        to="enap_designsystem.wizard",
                    ),
                ),
            ],
            options={
                "ordering": ["sort_order"],
                "abstract": False,
            },
        ),
    ]
