# Generated by Django 5.1.6 on 2025-04-10 19:32

import django.db.models.deletion
import wagtail.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("enap_designsystem", "0021_alter_enapformacao_modalenap"),
        ("wagtailcore", "0094_alter_page_locale"),
    ]

    operations = [
        migrations.CreateModel(
            name="OnlyCards",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "featured_card",
                    wagtail.fields.StreamField(
                        [("enap_card", 19)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [("", "Default")],
                                    "label": "Template",
                                    "required": False,
                                },
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom CSS Class",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            2: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom ID",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 0),
                                        ("custom_css_class", 1),
                                        ("custom_id", 2),
                                    ]
                                ],
                                {},
                            ),
                            4: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("card-primary", "Tipo primário"),
                                        ("card-secondary", "Tipo secundário"),
                                        ("card-terciary", "Tipo terciário"),
                                        ("card-bgimage", "Tipo BG Image"),
                                    ],
                                    "help_text": "Escolha o tipo/cor do card",
                                    "label": "Tipo de card",
                                },
                            ),
                            5: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {
                                    "label": "Image",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            6: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Title",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            7: (
                                "wagtail.blocks.RichTextBlock",
                                (),
                                {
                                    "features": [
                                        "bold",
                                        "italic",
                                        "ol",
                                        "ul",
                                        "hr",
                                        "link",
                                        "document-link",
                                    ],
                                    "label": "Body",
                                },
                            ),
                            8: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Tracking Event Category",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            9: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Tracking Event Label",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            10: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 0),
                                        ("custom_css_class", 1),
                                        ("custom_id", 2),
                                        ("ga_tracking_event_category", 8),
                                        ("ga_tracking_event_label", 9),
                                    ]
                                ],
                                {},
                            ),
                            11: (
                                "wagtail.blocks.PageChooserBlock",
                                (),
                                {"label": "Page link", "required": False},
                            ),
                            12: (
                                "wagtail.documents.blocks.DocumentChooserBlock",
                                (),
                                {"label": "Document link", "required": False},
                            ),
                            13: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Other link",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            14: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("primary", "Tipo primário"),
                                        ("secondary", "Tipo secundário"),
                                        ("terciary", "Tipo terciário"),
                                    ],
                                    "help_text": "Escolha o tipo do botão",
                                    "label": "Tipo de botão",
                                },
                            ),
                            15: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("small", "Pequeno"),
                                        ("medium", "Médio"),
                                        ("large", "Grande"),
                                        ("extra-large", "Extra grande"),
                                    ],
                                    "help_text": "Escolha o tamanho do botão",
                                    "label": "Tamanho",
                                },
                            ),
                            16: (
                                "wagtail.blocks.BooleanBlock",
                                (),
                                {"label": "Icone", "required": False},
                            ),
                            17: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 10),
                                        ("page_link", 11),
                                        ("doc_link", 12),
                                        ("other_link", 13),
                                        ("button_title", 6),
                                        ("type_class", 14),
                                        ("size_class", 15),
                                        ("icone_bool", 16),
                                    ]
                                ],
                                {},
                            ),
                            18: (
                                "wagtail.blocks.StreamBlock",
                                [[("button", 17)]],
                                {
                                    "blank": True,
                                    "label": "Botão (link)",
                                    "max_num": 1,
                                    "required": False,
                                },
                            ),
                            19: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 3),
                                        ("type", 4),
                                        ("image", 5),
                                        ("title", 6),
                                        ("description", 7),
                                        ("link", 18),
                                    ]
                                ],
                                {},
                            ),
                        },
                    ),
                ),
            ],
            options={
                "verbose_name": "Pagina só com cards",
                "verbose_name_plural": "Pagina so com cards",
            },
            bases=("wagtailcore.page",),
        ),
    ]
