# Generated by Django 5.1.6 on 2025-04-14 17:25

import django.db.models.deletion
import wagtail.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("enap_designsystem", "0035_enapsearchelastic"),
        ("wagtailcore", "0094_alter_page_locale"),
    ]

    operations = [
        migrations.CreateModel(
            name="Template001",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "banner",
                    wagtail.fields.StreamField(
                        [("banner", 3)],
                        block_lookup={
                            0: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {"label": "Background Image", "required": True},
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {"label": "Title", "max_length": 255, "required": True},
                            ),
                            2: (
                                "wagtail.blocks.RichTextBlock",
                                (),
                                {
                                    "features": [
                                        "bold",
                                        "italic",
                                        "ol",
                                        "ul",
                                        "hr",
                                        "link",
                                        "document-link",
                                    ],
                                    "label": "Description",
                                    "required": True,
                                },
                            ),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("background_image", 0),
                                        ("title", 1),
                                        ("description", 2),
                                    ]
                                ],
                                {},
                            ),
                        },
                    ),
                ),
                (
                    "feature_course",
                    wagtail.fields.StreamField(
                        [("feature_course", 5)],
                        block_lookup={
                            0: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "default": "Título da feature",
                                    "help_text": "Primeiro título da feature",
                                    "required": True,
                                },
                            ),
                            1: (
                                "wagtail.blocks.TextBlock",
                                (),
                                {
                                    "default": "Descrição da feature",
                                    "help_text": "Primeira descrição da feature",
                                    "required": True,
                                },
                            ),
                            2: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "default": "Título da feature",
                                    "help_text": "Segundo título da feature",
                                    "required": True,
                                },
                            ),
                            3: (
                                "wagtail.blocks.TextBlock",
                                (),
                                {
                                    "default": "Descrição da feature",
                                    "help_text": "Segunda descrição da feature",
                                    "required": True,
                                },
                            ),
                            4: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {
                                    "help_text": "Imagem da feature do curso",
                                    "required": True,
                                },
                            ),
                            5: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("title_1", 0),
                                        ("description_1", 1),
                                        ("title_2", 2),
                                        ("description_2", 3),
                                        ("image", 4),
                                    ]
                                ],
                                {},
                            ),
                        },
                    ),
                ),
                (
                    "feature_estrutura",
                    wagtail.fields.StreamField(
                        [("feature_estrutura", 7)],
                        block_lookup={
                            0: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "default": "Estrutura do curso",
                                    "help_text": "Título da seção",
                                    "required": True,
                                },
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "default": "1º Módulo",
                                    "help_text": "Título do módulo (ex: 1º Módulo)",
                                    "required": True,
                                },
                            ),
                            2: (
                                "wagtail.blocks.TextBlock",
                                (),
                                {
                                    "default": "Descreva o módulo",
                                    "help_text": "Descrição breve do módulo",
                                    "required": True,
                                },
                            ),
                            3: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "help_text": "Item da lista de conteúdo do módulo",
                                    "required": True,
                                },
                            ),
                            4: ("wagtail.blocks.ListBlock", (3,), {}),
                            5: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("module_title", 1),
                                        ("module_description", 2),
                                        ("module_items", 4),
                                    ]
                                ],
                                {},
                            ),
                            6: (
                                "wagtail.blocks.ListBlock",
                                (5,),
                                {
                                    "help_text": "Adicione os módulos do curso",
                                    "min_num": 1,
                                },
                            ),
                            7: (
                                "wagtail.blocks.StructBlock",
                                [[("title", 0), ("modules", 6)]],
                                {},
                            ),
                        },
                    ),
                ),
                (
                    "feature_processo_seletivo",
                    wagtail.fields.StreamField(
                        [("feature_processo_seletivo", 8)],
                        block_lookup={
                            0: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "default": "Processo seletivo",
                                    "help_text": "Título da seção",
                                    "required": True,
                                },
                            ),
                            1: (
                                "wagtail.blocks.TextBlock",
                                (),
                                {
                                    "default": "Sobre o processo seletivo",
                                    "help_text": "Descrição do processo seletivo",
                                    "required": True,
                                },
                            ),
                            2: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "default": "Inscrição",
                                    "help_text": "Título do primeiro módulo",
                                    "required": True,
                                },
                            ),
                            3: (
                                "wagtail.blocks.TextBlock",
                                (),
                                {
                                    "default": "Lorem ipsum dolor sit amet, lorem ipsum dolor sit amet",
                                    "help_text": "Descrição do primeiro módulo",
                                    "required": True,
                                },
                            ),
                            4: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "default": "Seleção",
                                    "help_text": "Título do segundo módulo",
                                    "required": True,
                                },
                            ),
                            5: (
                                "wagtail.blocks.TextBlock",
                                (),
                                {
                                    "default": "Lorem ipsum dolor sit amet, lorem ipsum dolor sit amet",
                                    "help_text": "Descrição do segundo módulo",
                                    "required": True,
                                },
                            ),
                            6: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "default": "Resultado",
                                    "help_text": "Título do terceiro módulo",
                                    "required": True,
                                },
                            ),
                            7: (
                                "wagtail.blocks.TextBlock",
                                (),
                                {
                                    "default": "Lorem ipsum dolor sit amet, lorem ipsum dolor sit amet",
                                    "help_text": "Descrição do terceiro módulo",
                                    "required": True,
                                },
                            ),
                            8: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("title", 0),
                                        ("description", 1),
                                        ("module1_title", 2),
                                        ("module1_description", 3),
                                        ("module2_title", 4),
                                        ("module2_description", 5),
                                        ("module3_title", 6),
                                        ("module3_description", 7),
                                    ]
                                ],
                                {},
                            ),
                        },
                    ),
                ),
                (
                    "team_carousel",
                    wagtail.fields.StreamField(
                        [("team_carousel", 9)],
                        block_lookup={
                            0: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "default": "Nossa Equipe",
                                    "help_text": "Título da seção",
                                    "required": True,
                                },
                            ),
                            1: (
                                "wagtail.blocks.TextBlock",
                                (),
                                {
                                    "default": "Equipe de desenvolvedores e etc",
                                    "help_text": "Descrição da seção da equipe",
                                    "required": True,
                                },
                            ),
                            2: (
                                "wagtail.blocks.URLBlock",
                                (),
                                {
                                    "help_text": "Link para página com todos os membros",
                                    "required": False,
                                },
                            ),
                            3: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "default": "Ver todos",
                                    "help_text": "Texto do botão 'ver todos'",
                                    "required": False,
                                },
                            ),
                            4: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "default": "Nome do membro",
                                    "help_text": "Nome do membro da equipe",
                                    "required": True,
                                },
                            ),
                            5: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "default": "Cargo do membro",
                                    "help_text": "Cargo/função do membro",
                                    "required": True,
                                },
                            ),
                            6: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {
                                    "help_text": "Foto do membro da equipe",
                                    "required": True,
                                },
                            ),
                            7: (
                                "wagtail.blocks.StructBlock",
                                [[("name", 4), ("role", 5), ("image", 6)]],
                                {},
                            ),
                            8: (
                                "wagtail.blocks.ListBlock",
                                (7,),
                                {"help_text": "Adicione os membros da equipe"},
                            ),
                            9: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("title", 0),
                                        ("description", 1),
                                        ("view_all_url", 2),
                                        ("view_all_text", 3),
                                        ("members", 8),
                                    ]
                                ],
                                {},
                            ),
                        },
                    ),
                ),
                (
                    "footer",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="enap_designsystem.enapfootersnippet",
                    ),
                ),
                (
                    "navbar",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="enap_designsystem.enapnavbarsnippet",
                    ),
                ),
            ],
            options={
                "verbose_name": "Template 001",
                "verbose_name_plural": "Template 001",
            },
            bases=("wagtailcore.page",),
        ),
    ]
