# Generated by Django 5.1.6 on 2025-04-14 20:44

import django.db.models.deletion
import wagtail.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("enap_designsystem", "0041_alter_template001_banner_background_image"),
        ("wagtailimages", "0027_image_description"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="template001",
            name="estrutura_modulos",
        ),
        migrations.RemoveField(
            model_name="template001",
            name="estrutura_title",
        ),
        migrations.RemoveField(
            model_name="template001",
            name="team_description",
        ),
        migrations.RemoveField(
            model_name="template001",
            name="team_members",
        ),
        migrations.RemoveField(
            model_name="template001",
            name="team_title",
        ),
        migrations.RemoveField(
            model_name="template001",
            name="team_view_all_text",
        ),
        migrations.RemoveField(
            model_name="template001",
            name="team_view_all_url",
        ),
        migrations.AddField(
            model_name="template001",
            name="description_1",
            field=models.TextField(
                default="Descrição da feature 1", verbose_name="Primeira descrição"
            ),
        ),
        migrations.AddField(
            model_name="template001",
            name="description_2",
            field=models.TextField(
                default="Descrição da feature 2", verbose_name="Segunda descrição"
            ),
        ),
        migrations.AddField(
            model_name="template001",
            name="feature_estrutura",
            field=wagtail.fields.StreamField(
                [("feature_estrutura", 7)],
                blank=True,
                block_lookup={
                    0: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Estrutura do curso",
                            "help_text": "Título da seção",
                            "required": True,
                        },
                    ),
                    1: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "1º Módulo",
                            "help_text": "Título do módulo (ex: 1º Módulo)",
                            "required": True,
                        },
                    ),
                    2: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Descreva o módulo",
                            "help_text": "Descrição breve do módulo",
                            "required": True,
                        },
                    ),
                    3: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Item da lista de conteúdo do módulo",
                            "required": True,
                        },
                    ),
                    4: ("wagtail.blocks.ListBlock", (3,), {}),
                    5: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("module_title", 1),
                                ("module_description", 2),
                                ("module_items", 4),
                            ]
                        ],
                        {},
                    ),
                    6: (
                        "wagtail.blocks.ListBlock",
                        (5,),
                        {"help_text": "Adicione os módulos do curso", "min_num": 1},
                    ),
                    7: (
                        "wagtail.blocks.StructBlock",
                        [[("title", 0), ("modules", 6)]],
                        {},
                    ),
                },
                null=True,
            ),
        ),
        migrations.AddField(
            model_name="template001",
            name="image",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="wagtailimages.image",
                verbose_name="Imagem da feature",
            ),
        ),
        migrations.AddField(
            model_name="template001",
            name="team_carousel",
            field=wagtail.fields.StreamField(
                [("team_carousel", 9)],
                blank=True,
                block_lookup={
                    0: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Nossa Equipe",
                            "help_text": "Título da seção",
                            "required": True,
                        },
                    ),
                    1: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Equipe de desenvolvedores e etc",
                            "help_text": "Descrição da seção da equipe",
                            "required": True,
                        },
                    ),
                    2: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "Link para página com todos os membros",
                            "required": False,
                        },
                    ),
                    3: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Ver todos",
                            "help_text": "Texto do botão 'ver todos'",
                            "required": False,
                        },
                    ),
                    4: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Nome do membro",
                            "help_text": "Nome do membro da equipe",
                            "required": True,
                        },
                    ),
                    5: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Cargo do membro",
                            "help_text": "Cargo/função do membro",
                            "required": True,
                        },
                    ),
                    6: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Foto do membro da equipe", "required": False},
                    ),
                    7: (
                        "wagtail.blocks.StructBlock",
                        [[("name", 4), ("role", 5), ("image", 6)]],
                        {},
                    ),
                    8: (
                        "wagtail.blocks.ListBlock",
                        (7,),
                        {"help_text": "Adicione os membros da equipe"},
                    ),
                    9: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 0),
                                ("description", 1),
                                ("view_all_url", 2),
                                ("view_all_text", 3),
                                ("members", 8),
                            ]
                        ],
                        {},
                    ),
                },
                null=True,
            ),
        ),
        migrations.AddField(
            model_name="template001",
            name="title_1",
            field=models.CharField(
                default="Título da feature 1",
                max_length=255,
                verbose_name="Primeiro título",
            ),
        ),
        migrations.AddField(
            model_name="template001",
            name="title_2",
            field=models.CharField(
                default="Título da feature 2",
                max_length=255,
                verbose_name="Segundo título",
            ),
        ),
    ]
