# Generated by Django 5.1.6 on 2025-04-15 14:29

import django.db.models.deletion
import wagtail.fields
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("enap_designsystem", "0046_alter_template001_image"),
        ("wagtailcore", "0094_alter_page_locale"),
        ("wagtailimages", "0027_image_description"),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="ArticleIndexPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                ("intro", models.TextField(blank=True, verbose_name="Introdução")),
                (
                    "show_images",
                    models.BooleanField(default=True, verbose_name="Exibir imagens"),
                ),
                (
                    "show_captions",
                    models.BooleanField(default=True, verbose_name="Exibir legendas"),
                ),
                (
                    "show_meta",
                    models.BooleanField(
                        default=True, verbose_name="Exibir autor e informações de data"
                    ),
                ),
                (
                    "show_preview_text",
                    models.BooleanField(
                        default=True, verbose_name="Exibir texto de prévia"
                    ),
                ),
                (
                    "articles_per_page",
                    models.PositiveIntegerField(
                        default=10, verbose_name="Artigos por página"
                    ),
                ),
            ],
            options={
                "verbose_name": "ENAP Página de Índice de Artigos",
                "verbose_name_plural": "ENAP Páginas de Índice de Artigos",
            },
            bases=("wagtailcore.page",),
        ),
        migrations.AlterField(
            model_name="enaptemplatev1",
            name="background_image",
            field=wagtail.fields.StreamField(
                [("image", 2)],
                blank=True,
                block_lookup={
                    0: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"required": True},
                    ),
                    1: ("wagtail.blocks.CharBlock", (), {"required": False}),
                    2: (
                        "wagtail.blocks.StructBlock",
                        [[("image", 0), ("caption", 1)]],
                        {},
                    ),
                },
                null=True,
            ),
        ),
        migrations.AlterField(
            model_name="enapteste",
            name="background_image",
            field=wagtail.fields.StreamField(
                [("image", 2)],
                blank=True,
                block_lookup={
                    0: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"required": True},
                    ),
                    1: ("wagtail.blocks.CharBlock", (), {"required": False}),
                    2: (
                        "wagtail.blocks.StructBlock",
                        [[("image", 0), ("caption", 1)]],
                        {},
                    ),
                },
                null=True,
            ),
        ),
        migrations.CreateModel(
            name="ArticlePage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "body",
                    wagtail.fields.StreamField(
                        [("richtext", 0), ("image", 6), ("quote", 9)],
                        blank=True,
                        block_lookup={
                            0: (
                                "enap_designsystem.blocks.html_blocks.RichTextBlock",
                                (),
                                {},
                            ),
                            1: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [("", "Default")],
                                    "label": "Template",
                                    "required": False,
                                },
                            ),
                            2: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom CSS Class",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            3: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom ID",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            4: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 1),
                                        ("custom_css_class", 2),
                                        ("custom_id", 3),
                                    ]
                                ],
                                {},
                            ),
                            5: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {"label": "Image"},
                            ),
                            6: (
                                "wagtail.blocks.StructBlock",
                                [[("settings", 4), ("image", 5)]],
                                {},
                            ),
                            7: (
                                "wagtail.blocks.TextBlock",
                                (),
                                {"label": "Quote Text", "required": True, "rows": 4},
                            ),
                            8: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Author",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            9: (
                                "wagtail.blocks.StructBlock",
                                [[("settings", 4), ("text", 7), ("author", 8)]],
                                {},
                            ),
                        },
                        null=True,
                        verbose_name="Conteúdo",
                    ),
                ),
                (
                    "caption",
                    models.CharField(
                        blank=True, max_length=255, verbose_name="Legenda"
                    ),
                ),
                (
                    "author_display",
                    models.CharField(
                        blank=True,
                        help_text="Substitui como o nome do autor é exibido neste artigo.",
                        max_length=255,
                        verbose_name="Exibir autor como",
                    ),
                ),
                (
                    "date_display",
                    models.DateField(
                        blank=True,
                        null=True,
                        verbose_name="Data de publicação para exibição",
                    ),
                ),
                (
                    "author",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="enap_articlepage_set",
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="Autor",
                    ),
                ),
                (
                    "featured_image",
                    models.ForeignKey(
                        blank=True,
                        help_text="Imagem usada para compartilhamento em redes sociais e listagens",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Imagem destacada",
                    ),
                ),
            ],
            options={
                "verbose_name": "ENAP Artigo",
                "verbose_name_plural": "ENAP Artigos",
            },
            bases=("wagtailcore.page",),
        ),
    ]
