# Generated by Django 5.1.6 on 2025-04-16 13:12

import django.db.models.deletion
import wagtail.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("enap_designsystem", "0058_alter_template001_description_1_and_more"),
        ("wagtailcore", "0094_alter_page_locale"),
    ]

    operations = [
        migrations.CreateModel(
            name="ENAPComponentes",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "admin_notes",
                    models.TextField(
                        blank=True,
                        help_text="Escreva observações importantes. Este campo é visível apenas para administradores.",
                        verbose_name="Anotações Internas",
                    ),
                ),
                (
                    "body",
                    wagtail.fields.StreamField(
                        [
                            ("enap_herobanner", 3),
                            ("accordion", 9),
                            ("enap_herofeature", 13),
                            ("banner", 3),
                            ("feature_course", 19),
                            ("feature_processo_seletivo", 28),
                            ("team_carousel", 37),
                            ("testimonials_carousel", 46),
                            ("why_choose", 57),
                            ("enap_accordion", 9),
                            ("button_group", 63),
                            ("carousel", 70),
                            ("dropdown", 75),
                            ("courses_carousel", 78),
                            ("course_intro_topics", 85),
                            ("preview_courses", 87),
                            ("richtext", 88),
                            ("button", 99),
                            ("image", 101),
                            ("quote", 103),
                            ("download", 106),
                            ("noticias_carousel", 78),
                            ("eventos_carousel", 108),
                            ("enap_section", 122),
                        ],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {"label": "Background Image", "required": False},
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "default": "Título do Banner",
                                    "label": "Title",
                                    "max_length": 255,
                                    "required": True,
                                },
                            ),
                            2: (
                                "wagtail.blocks.RichTextBlock",
                                (),
                                {
                                    "default": "Descrição do banner. Edite este texto para personalizar o conteúdo.",
                                    "features": [
                                        "bold",
                                        "italic",
                                        "ol",
                                        "ul",
                                        "hr",
                                        "link",
                                        "document-link",
                                    ],
                                    "label": "Description",
                                    "required": True,
                                },
                            ),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("background_image", 0),
                                        ("title", 1),
                                        ("description", 2),
                                    ]
                                ],
                                {},
                            ),
                            4: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [("", "Default")],
                                    "label": "Template",
                                    "required": False,
                                },
                            ),
                            5: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom CSS Class",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            6: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom ID",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            7: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 4),
                                        ("custom_css_class", 5),
                                        ("custom_id", 6),
                                    ]
                                ],
                                {},
                            ),
                            8: (
                                "wagtail.snippets.blocks.SnippetChooserBlock",
                                ("enap_designsystem.EnapAccordionSnippet",),
                                {},
                            ),
                            9: (
                                "wagtail.blocks.StructBlock",
                                [[("settings", 7), ("accordion", 8)]],
                                {},
                            ),
                            10: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {"required": True},
                            ),
                            11: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {"max_length": 255, "required": True},
                            ),
                            12: (
                                "wagtail.blocks.RichTextBlock",
                                (),
                                {"required": True},
                            ),
                            13: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("background_image", 10),
                                        ("title", 11),
                                        ("description", 12),
                                    ]
                                ],
                                {},
                            ),
                            14: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "default": "Título da feature",
                                    "help_text": "Primeiro título da feature",
                                    "required": True,
                                },
                            ),
                            15: (
                                "wagtail.blocks.TextBlock",
                                (),
                                {
                                    "default": "Descrição da feature",
                                    "help_text": "Primeira descrição da feature",
                                    "required": True,
                                },
                            ),
                            16: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "default": "Título da feature",
                                    "help_text": "Segundo título da feature",
                                    "required": True,
                                },
                            ),
                            17: (
                                "wagtail.blocks.TextBlock",
                                (),
                                {
                                    "default": "Descrição da feature",
                                    "help_text": "Segunda descrição da feature",
                                    "required": True,
                                },
                            ),
                            18: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {
                                    "help_text": "Imagem da feature do curso",
                                    "required": False,
                                },
                            ),
                            19: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("title_1", 14),
                                        ("description_1", 15),
                                        ("title_2", 16),
                                        ("description_2", 17),
                                        ("image", 18),
                                    ]
                                ],
                                {},
                            ),
                            20: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "default": "Processo seletivo",
                                    "help_text": "Título da seção",
                                    "required": True,
                                },
                            ),
                            21: (
                                "wagtail.blocks.TextBlock",
                                (),
                                {
                                    "default": "Sobre o processo seletivo",
                                    "help_text": "Descrição do processo seletivo",
                                    "required": True,
                                },
                            ),
                            22: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "default": "Inscrição",
                                    "help_text": "Título do primeiro módulo",
                                    "required": True,
                                },
                            ),
                            23: (
                                "wagtail.blocks.TextBlock",
                                (),
                                {
                                    "default": "Lorem ipsum dolor sit amet, lorem ipsum dolor sit amet",
                                    "help_text": "Descrição do primeiro módulo",
                                    "required": True,
                                },
                            ),
                            24: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "default": "Seleção",
                                    "help_text": "Título do segundo módulo",
                                    "required": True,
                                },
                            ),
                            25: (
                                "wagtail.blocks.TextBlock",
                                (),
                                {
                                    "default": "Lorem ipsum dolor sit amet, lorem ipsum dolor sit amet",
                                    "help_text": "Descrição do segundo módulo",
                                    "required": True,
                                },
                            ),
                            26: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "default": "Resultado",
                                    "help_text": "Título do terceiro módulo",
                                    "required": True,
                                },
                            ),
                            27: (
                                "wagtail.blocks.TextBlock",
                                (),
                                {
                                    "default": "Lorem ipsum dolor sit amet, lorem ipsum dolor sit amet",
                                    "help_text": "Descrição do terceiro módulo",
                                    "required": True,
                                },
                            ),
                            28: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("title", 20),
                                        ("description", 21),
                                        ("module1_title", 22),
                                        ("module1_description", 23),
                                        ("module2_title", 24),
                                        ("module2_description", 25),
                                        ("module3_title", 26),
                                        ("module3_description", 27),
                                    ]
                                ],
                                {},
                            ),
                            29: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "default": "Nossa Equipe",
                                    "help_text": "Título da seção",
                                    "required": True,
                                },
                            ),
                            30: (
                                "wagtail.blocks.TextBlock",
                                (),
                                {
                                    "default": "Equipe de desenvolvedores e etc",
                                    "help_text": "Descrição da seção da equipe",
                                    "required": True,
                                },
                            ),
                            31: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "default": "Ver todos",
                                    "help_text": "Texto do botão 'ver todos'",
                                    "required": False,
                                },
                            ),
                            32: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "help_text": "Nome do membro da equipe",
                                    "required": True,
                                },
                            ),
                            33: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "help_text": "Cargo/função do membro",
                                    "required": True,
                                },
                            ),
                            34: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {
                                    "help_text": "Foto do membro da equipe",
                                    "required": False,
                                },
                            ),
                            35: (
                                "wagtail.blocks.StructBlock",
                                [[("name", 32), ("role", 33), ("image", 34)]],
                                {},
                            ),
                            36: (
                                "wagtail.blocks.ListBlock",
                                (35,),
                                {
                                    "collapsed": False,
                                    "default": [
                                        {
                                            "image": None,
                                            "name": "Membro 1",
                                            "role": "Cargo 1",
                                        },
                                        {
                                            "image": None,
                                            "name": "Membro 2",
                                            "role": "Cargo 2",
                                        },
                                        {
                                            "image": None,
                                            "name": "Membro 3",
                                            "role": "Cargo 3",
                                        },
                                        {
                                            "image": None,
                                            "name": "Membro 4",
                                            "role": "Cargo 4",
                                        },
                                    ],
                                    "help_text": "Adicione os membros da equipe",
                                },
                            ),
                            37: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("title", 29),
                                        ("description", 30),
                                        ("view_all_text", 31),
                                        ("members", 36),
                                    ]
                                ],
                                {},
                            ),
                            38: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "default": "Depoimentos",
                                    "help_text": "Título da seção",
                                    "required": True,
                                },
                            ),
                            39: (
                                "wagtail.blocks.TextBlock",
                                (),
                                {
                                    "help_text": "Descrição opcional da seção",
                                    "required": False,
                                },
                            ),
                            40: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "default": "Nome do profissional",
                                    "help_text": "Nome da pessoa",
                                    "required": True,
                                },
                            ),
                            41: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "default": "Cargo do profissional",
                                    "help_text": "Cargo ou posição da pessoa",
                                    "required": True,
                                },
                            ),
                            42: (
                                "wagtail.blocks.TextBlock",
                                (),
                                {
                                    "default": "Lorem ipsum dolor sit amet, lorem ipsum dolor sit amet",
                                    "help_text": "Depoimento da pessoa",
                                    "required": True,
                                },
                            ),
                            43: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {"help_text": "Foto da pessoa", "required": True},
                            ),
                            44: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("name", 40),
                                        ("position", 41),
                                        ("testimonial", 42),
                                        ("image", 43),
                                    ]
                                ],
                                {},
                            ),
                            45: (
                                "wagtail.blocks.ListBlock",
                                (44,),
                                {"help_text": "Adicione os depoimentos"},
                            ),
                            46: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("title", 38),
                                        ("description", 39),
                                        ("testimonials", 45),
                                    ]
                                ],
                                {},
                            ),
                            47: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "default": "Titulo do beneficio",
                                    "label": "Título principal",
                                    "required": True,
                                },
                            ),
                            48: (
                                "wagtail.blocks.TextBlock",
                                (),
                                {
                                    "default": "Titulo do beneficio",
                                    "label": "Descrição principal",
                                    "required": False,
                                },
                            ),
                            49: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {"label": "Imagem do benefício 1", "required": False},
                            ),
                            50: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "default": "Metodologia ensino–aplicação",
                                    "label": "Título do benefício 1",
                                    "required": True,
                                },
                            ),
                            51: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {"label": "Imagem do benefício 2", "required": False},
                            ),
                            52: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "default": "Desenvolvimento de competências de forma inovadora",
                                    "label": "Título do benefício 2",
                                    "required": True,
                                },
                            ),
                            53: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {"label": "Imagem do benefício 3", "required": False},
                            ),
                            54: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "default": "Desenvolvimento de competências de forma inovadora",
                                    "label": "Título do benefício 3",
                                    "required": True,
                                },
                            ),
                            55: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {"label": "Imagem do benefício 4", "required": False},
                            ),
                            56: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "default": "Desenvolvimento de competências de forma inovadora",
                                    "label": "Título do benefício 4",
                                    "required": True,
                                },
                            ),
                            57: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("title", 47),
                                        ("description", 48),
                                        ("image_1", 49),
                                        ("title_1", 50),
                                        ("image_2", 51),
                                        ("title_2", 52),
                                        ("image_3", 53),
                                        ("title_3", 54),
                                        ("image_4", 55),
                                        ("title_4", 56),
                                    ]
                                ],
                                {},
                            ),
                            58: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("solid", "Solid - Fundo colorido"),
                                        ("outline", "Outline - Apenas contorno"),
                                    ],
                                    "help_text": "Estilo visual dos botões",
                                },
                            ),
                            59: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {"help_text": "Texto do botão", "required": True},
                            ),
                            60: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "help_text": "URL para onde o botão vai direcionar (opcional)",
                                    "required": False,
                                },
                            ),
                            61: (
                                "wagtail.blocks.StructBlock",
                                [[("label", 59), ("url", 60)]],
                                {},
                            ),
                            62: (
                                "wagtail.blocks.ListBlock",
                                (61,),
                                {
                                    "help_text": "Adicione botões ao grupo (entre 1 e 10)",
                                    "max_num": 10,
                                    "min_num": 1,
                                },
                            ),
                            63: (
                                "wagtail.blocks.StructBlock",
                                [[("style", 58), ("buttons", 62)]],
                                {},
                            ),
                            64: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {
                                    "help_text": "Imagem de fundo para o slide",
                                    "required": True,
                                },
                            ),
                            65: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("title_center", "Título centralizado"),
                                        (
                                            "title_desc_left",
                                            "Título e descrição à esquerda com grafismo",
                                        ),
                                        ("blank", "Slide em branco"),
                                    ],
                                    "help_text": "Escolha o formato do slide",
                                },
                            ),
                            66: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "help_text": "Título do slide (não usado no formato em branco)",
                                    "required": False,
                                },
                            ),
                            67: (
                                "wagtail.blocks.TextBlock",
                                (),
                                {
                                    "help_text": "Descrição do slide (usado apenas no formato 'Título e descrição à esquerda')",
                                    "required": False,
                                },
                            ),
                            68: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("background_image", 64),
                                        ("slide_type", 65),
                                        ("title", 66),
                                        ("description", 67),
                                    ]
                                ],
                                {},
                            ),
                            69: (
                                "wagtail.blocks.ListBlock",
                                (68,),
                                {
                                    "help_text": "Adicione slides ao carrossel (entre 1 e 10)",
                                    "max_num": 10,
                                    "min_num": 1,
                                },
                            ),
                            70: ("wagtail.blocks.StructBlock", [[("slides", 69)]], {}),
                            71: ("wagtail.blocks.CharBlock", (), {"required": True}),
                            72: (
                                "wagtail.blocks.PageChooserBlock",
                                (),
                                {"required": True},
                            ),
                            73: (
                                "wagtail.blocks.StructBlock",
                                [[("title", 71), ("page", 72)]],
                                {},
                            ),
                            74: ("wagtail.blocks.ListBlock", (73,), {}),
                            75: (
                                "wagtail.blocks.StructBlock",
                                [[("label", 71), ("options", 74)]],
                                {},
                            ),
                            76: (
                                "wagtail.blocks.PageChooserBlock",
                                (),
                                {
                                    "help_text": "Show a preview of pages that are children of the selected page. Uses ordering specified in the page’s LAYOUT tab.",
                                    "label": "Parent page",
                                    "required": True,
                                },
                            ),
                            77: (
                                "wagtail.blocks.IntegerBlock",
                                (),
                                {"default": 3, "label": "Number of pages to show"},
                            ),
                            78: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 7),
                                        ("indexed_by", 76),
                                        ("num_posts", 77),
                                    ]
                                ],
                                {},
                            ),
                            79: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "default": "Título do Curso",
                                    "help_text": "Título principal sobre o curso",
                                    "label": "Título do Curso",
                                    "required": True,
                                },
                            ),
                            80: (
                                "enap_designsystem.blocks.html_blocks.RichTextBlock",
                                (),
                                {
                                    "default": "Descreva o curso",
                                    "help_text": "Descrição geral do curso",
                                    "label": "Descrição do Curso",
                                    "required": True,
                                },
                            ),
                            81: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {
                                    "help_text": "Imagem para destacar o curso",
                                    "label": "Imagem",
                                    "required": True,
                                },
                            ),
                            82: (
                                "enap_designsystem.blocks.html_blocks.RichTextBlock",
                                (),
                                {
                                    "default": "Descreva a modalidade do curso",
                                    "help_text": "Descreva a modalidade do curso",
                                    "label": "Descrição da Modalidade",
                                    "required": True,
                                },
                            ),
                            83: (
                                "enap_designsystem.blocks.html_blocks.RichTextBlock",
                                (),
                                {
                                    "default": "Descreva o conteúdo do curso",
                                    "help_text": "Descreva o conteúdo do curso",
                                    "label": "Descrição do Curso",
                                    "required": True,
                                },
                            ),
                            84: (
                                "enap_designsystem.blocks.html_blocks.RichTextBlock",
                                (),
                                {
                                    "default": "Descreva a metodologia do curso",
                                    "help_text": "Descreva a metodologia do curso",
                                    "label": "Descrição da Metodologia",
                                    "required": True,
                                },
                            ),
                            85: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("title", 79),
                                        ("description", 80),
                                        ("image", 81),
                                        ("modalidade_description", 82),
                                        ("curso_description", 83),
                                        ("metodologia_description", 84),
                                    ]
                                ],
                                {},
                            ),
                            86: (
                                "wagtail.blocks.PageChooserBlock",
                                (),
                                {
                                    "help_text": "Show a mini preview of the selected page.",
                                    "label": "Pagina de Formações",
                                    "required": True,
                                },
                            ),
                            87: (
                                "wagtail.blocks.StructBlock",
                                [[("settings", 7), ("page", 86)]],
                                {},
                            ),
                            88: (
                                "enap_designsystem.blocks.html_blocks.RichTextBlock",
                                (),
                                {},
                            ),
                            89: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Tracking Event Category",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            90: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Tracking Event Label",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            91: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 4),
                                        ("custom_css_class", 5),
                                        ("custom_id", 6),
                                        ("ga_tracking_event_category", 89),
                                        ("ga_tracking_event_label", 90),
                                    ]
                                ],
                                {},
                            ),
                            92: (
                                "wagtail.blocks.PageChooserBlock",
                                (),
                                {"label": "Page link", "required": False},
                            ),
                            93: (
                                "wagtail.documents.blocks.DocumentChooserBlock",
                                (),
                                {"label": "Document link", "required": False},
                            ),
                            94: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Other link",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            95: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Title",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            96: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("primary", "Tipo primário"),
                                        ("secondary", "Tipo secundário"),
                                        ("terciary", "Tipo terciário"),
                                    ],
                                    "help_text": "Escolha o tipo do botão",
                                    "label": "Tipo de botão",
                                },
                            ),
                            97: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("small", "Pequeno"),
                                        ("medium", "Médio"),
                                        ("large", "Grande"),
                                        ("extra-large", "Extra grande"),
                                    ],
                                    "help_text": "Escolha o tamanho do botão",
                                    "label": "Tamanho",
                                },
                            ),
                            98: (
                                "wagtail.blocks.BooleanBlock",
                                (),
                                {"label": "Icone", "required": False},
                            ),
                            99: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 91),
                                        ("page_link", 92),
                                        ("doc_link", 93),
                                        ("other_link", 94),
                                        ("button_title", 95),
                                        ("type_class", 96),
                                        ("size_class", 97),
                                        ("icone_bool", 98),
                                    ]
                                ],
                                {},
                            ),
                            100: ("wagtail.blocks.CharBlock", (), {"required": False}),
                            101: (
                                "wagtail.blocks.StructBlock",
                                [[("image", 10), ("caption", 100)]],
                                {},
                            ),
                            102: ("wagtail.blocks.TextBlock", (), {"required": True}),
                            103: (
                                "wagtail.blocks.StructBlock",
                                [[("quote", 102), ("attribution", 100)]],
                                {},
                            ),
                            104: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("btn-primary", "Primary"),
                                        ("btn-secondary", "Secondary"),
                                        ("btn-success", "Success"),
                                        ("btn-danger", "Danger"),
                                        ("btn-warning", "Warning"),
                                        ("btn-info", "Info"),
                                        ("btn-link", "Link"),
                                        ("btn-light", "Light"),
                                        ("btn-dark", "Dark"),
                                        ("btn-outline-primary", "Outline Primary"),
                                        ("btn-outline-secondary", "Outline Secondary"),
                                        ("btn-outline-success", "Outline Success"),
                                        ("btn-outline-danger", "Outline Danger"),
                                        ("btn-outline-warning", "Outline Warning"),
                                        ("btn-outline-info", "Outline Info"),
                                        ("btn-outline-light", "Outline Light"),
                                        ("btn-outline-dark", "Outline Dark"),
                                    ],
                                    "label": "Button Style",
                                    "required": False,
                                },
                            ),
                            105: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("btn-sm", "Small"),
                                        ("", "Default"),
                                        ("btn-lg", "Large"),
                                    ],
                                    "label": "Button Size",
                                    "required": False,
                                },
                            ),
                            106: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 7),
                                        ("button_style", 104),
                                        ("button_size", 105),
                                        ("button_title", 95),
                                        ("downloadable_file", 93),
                                    ]
                                ],
                                {},
                            ),
                            107: (
                                "wagtail.blocks.PageChooserBlock",
                                (),
                                {
                                    "help_text": "Show a preview of pages that are children of the selected page. Uses ordering specified in the page's LAYOUT tab.",
                                    "label": "Parent page",
                                    "required": True,
                                },
                            ),
                            108: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 7),
                                        ("indexed_by", 107),
                                        ("num_posts", 77),
                                    ]
                                ],
                                {},
                            ),
                            109: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "#ID da seção",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            110: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("bg-white", "Fundo branco"),
                                        ("bg-blue", "Fundo blue"),
                                        ("bg-gray", "Fundo cinza"),
                                    ],
                                    "help_text": "Escolha a cor de fundo para a seção",
                                    "label": "Cor de fundo",
                                },
                            ),
                            111: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Titulo",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            112: (
                                "wagtail.blocks.RichTextBlock",
                                (),
                                {
                                    "features": [
                                        "bold",
                                        "italic",
                                        "ol",
                                        "ul",
                                        "hr",
                                        "link",
                                        "document-link",
                                    ],
                                    "label": "Subtitulo",
                                },
                            ),
                            113: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("cards-gri-2", "Até 2 cards"),
                                        ("cards-gri-3", "Até 3 cards"),
                                        ("cards-gri-4", "Até 4 cards"),
                                    ],
                                    "help_text": "Escolha os limites de card por linha para essa grid.",
                                    "label": "Card por linha",
                                },
                            ),
                            114: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("card-primary", "Tipo primário"),
                                        ("card-secondary", "Tipo secundário"),
                                        ("card-terciary", "Tipo terciário"),
                                        ("card-bgimage", "Tipo BG Image"),
                                    ],
                                    "help_text": "Escolha o tipo/cor do card",
                                    "label": "Tipo de card",
                                },
                            ),
                            115: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {
                                    "label": "Image",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            116: (
                                "wagtail.blocks.RichTextBlock",
                                (),
                                {
                                    "features": [
                                        "bold",
                                        "italic",
                                        "ol",
                                        "ul",
                                        "hr",
                                        "link",
                                        "document-link",
                                    ],
                                    "label": "Body",
                                },
                            ),
                            117: (
                                "wagtail.blocks.StreamBlock",
                                [[("button", 99)]],
                                {
                                    "blank": True,
                                    "label": "Botão (link)",
                                    "max_num": 1,
                                    "required": False,
                                },
                            ),
                            118: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 7),
                                        ("type", 114),
                                        ("image", 115),
                                        ("title", 95),
                                        ("description", 116),
                                        ("link", 117),
                                    ]
                                ],
                                {},
                            ),
                            119: (
                                "wagtail.blocks.StreamBlock",
                                [[("enap_card", 118)]],
                                {"label": "Conteúdo"},
                            ),
                            120: (
                                "wagtail.blocks.StructBlock",
                                [[("settings", 7), ("grid", 113), ("content", 119)]],
                                {},
                            ),
                            121: (
                                "wagtail.blocks.StreamBlock",
                                [[("enap_cardgrid", 120), ("enap_accordion", 9)]],
                                {"label": "Conteúdo"},
                            ),
                            122: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 7),
                                        ("id_slug", 109),
                                        ("custom_class", 110),
                                        ("title", 111),
                                        ("subtitle", 112),
                                        ("content", 121),
                                    ]
                                ],
                                {},
                            ),
                        },
                        null=True,
                    ),
                ),
                (
                    "footer",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="enap_designsystem.enapfootersnippet",
                    ),
                ),
                (
                    "navbar",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="enap_designsystem.enapnavbarsnippet",
                    ),
                ),
            ],
            options={
                "verbose_name": "ENAP Componentes",
                "verbose_name_plural": "ENAP Componentes",
            },
            bases=("wagtailcore.page",),
        ),
        migrations.DeleteModel(
            name="ENAPLayout",
        ),
    ]
