# Generated by Django 5.1.6 on 2025-05-19 14:31

import django.db.models.deletion
import wagtail.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("enap_designsystem", "0080_enapnoticiaimportada_navbar"),
        ("wagtailcore", "0094_alter_page_locale"),
        ("wagtailimages", "0027_image_description"),
    ]

    operations = [
        migrations.CreateModel(
            name="JobVacancyIndexPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "intro",
                    wagtail.fields.RichTextField(blank=True, verbose_name="Introdução"),
                ),
            ],
            options={
                "verbose_name": "Página Índice de Vagas",
            },
            bases=("wagtailcore.page",),
        ),
        migrations.CreateModel(
            name="JobVacancyPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "status",
                    models.CharField(
                        choices=[
                            ("aberta", "Aberta"),
                            ("em_andamento", "Em Andamento"),
                            ("encerrada", "Encerrada"),
                        ],
                        default="aberta",
                        max_length=20,
                        verbose_name="Status da Vaga",
                    ),
                ),
                (
                    "description",
                    wagtail.fields.RichTextField(
                        help_text="Texto breve que aparecerá no card",
                        verbose_name="Descrição curta",
                    ),
                ),
                (
                    "link_text",
                    models.CharField(
                        blank=True,
                        default="Ver detalhes",
                        max_length=100,
                        verbose_name="Texto do botão",
                    ),
                ),
                (
                    "process_code",
                    models.CharField(
                        blank=True, max_length=100, verbose_name="Código do Processo"
                    ),
                ),
                (
                    "registration_start",
                    models.DateField(verbose_name="Início das Inscrições"),
                ),
                (
                    "registration_end",
                    models.DateField(verbose_name="Fim das Inscrições"),
                ),
                (
                    "inscription_link",
                    models.URLField(blank=True, verbose_name="Link para Inscrição"),
                ),
                (
                    "full_description",
                    wagtail.fields.RichTextField(
                        verbose_name="Descrição completa da Vaga"
                    ),
                ),
                (
                    "download_files",
                    wagtail.fields.RichTextField(
                        blank=True, verbose_name="Arquivos para Download"
                    ),
                ),
                (
                    "card_type",
                    models.CharField(
                        choices=[
                            ("card-primary", "Card Primário"),
                            ("card-secondary", "Card Secundário"),
                            ("card-terciary", "Card Terciário"),
                            ("card-horizontal", "Card Horizontal"),
                            ("card-bgimage", "Card com Imagem de Fundo"),
                        ],
                        default="card-primary",
                        max_length=50,
                        verbose_name="Tipo de Card",
                    ),
                ),
                (
                    "image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Imagem",
                    ),
                ),
            ],
            options={
                "verbose_name": "Vaga de Emprego",
                "verbose_name_plural": "Vagas de Emprego",
            },
            bases=("wagtailcore.page",),
        ),
    ]
